<?php include_once('../../../config.php') ?>

<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>Sisplan Web | Agendamento Guia</title>
    <!-- Tell the browser to be responsive to screen width -->
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="dist/css/adminlte.min.css?versao=3.248.22.2">
    <link rel="stylesheet" href="plugins/fontawesome-free/css/all.min.css?versao=3.248.22.2">
    <link href='https://fonts.googleapis.com/css?family=Roboto:400,300,500,600,700,400italic' rel='stylesheet' type='text/css'>
    <link rel="stylesheet" type="text/css" href="dist/css/dataTables.bootstrap4.min.css?versao=3.248.22.2" />
    <link href='dist/css/bootstrap.min.css?versao=3.248.22.2'>
    <link rel="stylesheet" href="dist/css/custom.css?versao=3.248.22.2">
    <link rel="stylesheet" href="dist/css/sisplan.css?versao=3.248.22.2">
    <link rel="stylesheet" type="text/css" href="plugins/datatables-keytable/css/keyTable.bootstrap4.min.css?versao=3.248.22.2">
    <link rel="stylesheet" type="text/css" href="dist/css/responsive.bootstrap.min.css?versao=3.248.22.2">
    <link rel="shortcut icon" href="favicon.ico">
    <link rel="stylesheet" href="dist/css/cadastro.css?versao=3.248.22.2">
    <link rel="stylesheet" href="plugins/toastr/toastr.min.css?versao=3.248.22.2">
    <link rel="stylesheet" type="text/css" href="dist/css/driver.min.css?versao=3.248.22.2" />
    <link rel="stylesheet" href="dist/css/jquery-ui.css?versao=3.248.22.2">
    <link rel="stylesheet" href="plugins/icheck-bootstrap/icheck-bootstrap.min.css?versao=3.248.22.2">
	<link rel="stylesheet" href="plugins/select2/css/select2.min.css?versao=3.248.22.2">
	<link rel="stylesheet" href="plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css?versao=3.248.22.2">
    <link href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700" rel="stylesheet">    
    <style>
        #tabelaAgendamento_wrapper .table.dataTable tbody td,
        #tabelaAgendamento_wrapper .table.dataTable thead th {
            white-space: nowrap;
            text-overflow: ellipsis;
            overflow: hidden;
        }
    </style>
</head>

<body class="hold-transition sidebar-mini layout-fixed">
    <div class="wrapper">
        <div class="content-wrapper">
            <div class="content-header">
                <div class="container-fluid">
                    <div class="row mb-2">
                        <div class="col-sm-6 flex">
                            <h1 class="m-0 text-dark">Agendamento Guia</h1>
                            <button type="button" class="btn btn-info btn-sm ml-2" title="Tutorial" style="color: white;" id="tutorial">
                                <i class="fas fa-question-circle"></i></button>
                        </div>
                        <div class="col-sm-6">

                        </div><!-- /.col -->
                    </div><!-- /.row -->
                </div>
                <div class="container-fluid" id="divTabelaAgendamento">
                    <div class="row card">
                        <div class="col-sm-12 mt-3">
                            <button class="btn btn-success btn-sisp" id="btnFiltros"><span class="fas fa-search"></span> Filtros</button>
                            <button class="btn btn-danger btn-sisp" id="btnIncluir"><span class="fas fa-plus"></span> Incluir</button>
                            <button class="btn-sisp btn btn-success" id="btnImprimir"><i class="fas fa-print"></i> Imprimir</button>
                        </div>
                        <div class="col-sm-12 table-responsive card-body">
                            <h5>Lista de agendamento guia</h5>
                            <table id="tabelaAgendamento" class="table table-sm table-select table-hover" width="100%">
                                <thead>
                                </thead>
                                <tbody>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
                <div id="modal-filtros" class="modal" tabindex="-1" role="dialog">
                    <div class="modal-dialog modal-xl" role="document">
                        <div class="modal-content" id="modalBody">
                            <div class="modal-header">
                                <h4 class="modal-title">Filtros</h4>
                                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                    <span aria-hidden="true">&times;</span>
                                </button>
                            </div>
                            <div class="modal-body">
                                <div class="row">
                                    <div class="group-default form-group col-4">
                                        <label for="txtDataDe">Data De: </label>
                                        <div class="relative">
                                            <input type="date" max="2500-12-31" value="1200-01-01" class="input-default focus form-control validate" id="txtDataDe" name="DataDe">
                                        </div>
                                    </div>
                                    <div class="group-default form-group col-4">
                                        <label for="txtDataAte">Até: </label>
                                        <div class="relative">
                                            <input type="date" max="2500-12-31" value="2500-12-31" class="input-default focus form-control validate" id="txtDataAte" name="DataDe">
                                        </div>
                                    </div>
                                    <div class="col-4">
                                        <label data-error="wrong" data-success="right" for="txtGuia">Guia
                                        </label>
                                        <div class="input-group">
                                            <!-- <input type="text" autocomplete="off" class="input-default focus form-control validate" id="txtGuia" name="txtGuia" required placeholder="Guia"> -->
                                            <select class="js-example-programmatic js-states form-control" id="txtGuia" name="txtGuia" multiple="multiple">
                                            </select>
                                            <div class="input-group-append">
                                                <button class="btn bg-danger" id="btnGuia" name="btnGuia" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                                <button class="btn bg-danger" id="btnLimpaGuia" name="btnLimpaGuia" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="modal-footer">
                                <div class="row">
                                    <button class="btn btn-primary btn-sisp" id="btnLimparFiltros" style="background-color: #B22222; border-color: #B22222"><span class="fas fa-trash"></span> Limpar Filtros</button>     
                                    <button class="btn btn-primary btn-sisp" id="btnConsultar"><span class="fas fa-search"></span> Consultar</button>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <?php
    include_once('../../../modais.php');
    ?>
    <aside class="control-sidebar control-sidebar-dark">
    </aside>
    </div>
    <script src="plugins/jquery/jquery.min.js?versao=3.248.22.2"></script>
    <script type="text/javascript" src="dist/js/jquery.dataTables.js?versao=3.248.22.2"></script>
    <script type="text/javascript" src="dist/js/dataTables.bootstrap4.min.js?versao=3.248.22.2"></script>
    <script src="plugins/jquery-ui/jquery-ui.min.js?versao=3.248.22.2"></script>
    <script>
        $.widget.bridge('uibutton', $.ui.button);
    </script>
    <script src="plugins/bootstrap/js/bootstrap.bundle.min.js?versao=3.248.22.2"></script>
    <script src="dist/js/adminlte.min.js?versao=3.248.22.2"></script>
    <script src="dist/js/sisplan.js?versao=3.248.22.2"></script>
    <script src="utils/funcoes.js?versao=3.248.22.2"></script>
    <script src="utils/cookies.js?versao=3.248.22.2"></script>
    <script src="dist/js/requisicoes.js?versao=3.248.22.2"></script>
    <script src="dist/js/loadingoverlay.min.js?versao=3.248.22.2"></script>
    <script src="dist/js/driver.min.js?versao=3.248.22.2"></script>
    <script src="plugins/toastr/toastr.min.js?versao=3.248.22.2"></script>
    <script src="plugins/select2/js/select2.full.min.js?versao=3.248.22.2"></script>
    <script type="text/javascript" src="dist/js/sum().js?versao=3.248.22.2"></script>
    <script type="text/javascript" src="config.js?versao=3.248.22.2"></script>
    <script>
        $(document).ready(async function() {
            if (getCookie('usuario') == "") {
                window.location.href = `${BASE_URI}/login`;
                return;
            }

            let usuario = getCookie('usuario');
            let empresa = getCookie('empresa');

            ipInterno = IP_INTERNO;
            ipExterno = IP_EXTERNO;
            basicAuth = BASIC_AUTH;

            const temAcesso = await temAcessoTela('AGENDAMENTO_GUIA');
            if (!temAcesso.resultado) {
                toastrAcesso(temAcesso, BASE_URI);
                return;
            }

            sArquivo = `${BASE_URI}/pages/agendamento_guia/acesso_agendamento_guia/acesso_agendamento_guia.js?versao=3.248.22.2`;
            insereJavaScriptPagina(sArquivo);

        });
    </script>
</body>

</html>