<?php include_once('../../../config.php') ?>

<!DOCTYPE html>
<html>

<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <title>Sisplan Web | Cadastro de Desembaraço</title>
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="../dist/css/adminlte.min.css?versao=3.248.22.2">
  <link rel="stylesheet" href="../plugins/fontawesome-free/css/all.min.css?versao=3.248.22.2">
  <link href='https://fonts.googleapis.com/css?family=Roboto:400,300,500,600,700,400italic' rel='stylesheet' type='text/css'>
  <link rel="stylesheet" type="text/css" href="../dist/css/dataTables.bootstrap4.min.css?versao=3.248.22.2" />
  <link href='../dist/css/bootstrap.min.css?versao=3.248.22.2'>
  <link rel="stylesheet" href="../dist/css/custom.css?versao=3.248.22.2">
  <link rel="stylesheet" href="../dist/css/sisplan.css?versao=3.248.22.2">
  <link rel="stylesheet" type="text/css" href="../plugins/datatables-keytable/css/keyTable.bootstrap4.min.css?versao=3.248.22.2">
  <link rel="stylesheet" type="text/css" href="../dist/css/responsive.bootstrap.min.css?versao=3.248.22.2">
  <link rel="shortcut icon" href="../favicon.ico">
  <link rel="stylesheet" href="../dist/css/cadastro.css?versao=3.248.22.2">
  <link rel="stylesheet" href="../plugins/toastr/toastr.min.css?versao=3.248.22.2">
  <link rel="stylesheet" type="text/css" href="../dist/css/driver.min.css?versao=3.248.22.2" />
  <link rel="stylesheet" href="../dist/css/jquery-ui.css?versao=3.248.22.2">
  <link href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700" rel="stylesheet">
  <style>
    .bordaRadio,
    .bordaCheckbox {
      border: 2px solid #e0e4e6;
      border-radius: 4px;
      padding: 10px 15px 0 10px;
    }

    #progressbar li {
      list-style-type: none;
      font-size: 12px;
      width: 100%;
      float: left;
      position: relative;

    }
  </style>
</head>

<body class="hold-transition sidebar-mini layout-fixed">
  <div class="wrapper">


    <div id="myModal" class="modal" tabindex="-1" role="dialog">
      <div class="modal-dialog" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h5 id="myModalLabel" class="modal-title"></h5>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
          <div class="modal-body">
            <p id="myModalText"></p>
          </div>
          <div class="modal-footer">
            <button id="btnYes" type="button" class="btn btn-primary">Sim</button>
            <button id="btnNo" type="button" class="btn btn-secondary" data-dismiss="modal">Não</button>
          </div>
        </div>
      </div>
    </div>
    <div class="wrapper">
      <div id="myModal" class="modal" tabindex="-1" role="dialog">
        <div class="modal-dialog" role="document">
          <div class="modal-content">
            <div class="modal-header">
              <h5 id="myModalLabel" class="modal-title"></h5>
              <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                <span aria-hidden="true">&times;</span>
              </button>
            </div>
            <div class="modal-body">
              <p id="myModalText"></p>
            </div>
            <div class="modal-footer">
              <button id="btnYes" type="button" class="btn btn-primary">Sim</button>
              <button id="btnNo" type="button" class="btn btn-secondary" data-dismiss="modal">Não</button>
            </div>
          </div>
        </div>
      </div>
      <div class="content-wrapper">
        <div class="content-header">
          <div class="container-fluid">
            <div class="row mb-2">
              <div class="col-sm-6 flex">
                <h1 class="m-0 text-dark"></h1>
              </div>
              <div class="col-sm-6">
                <!-- <ol class="breadcrumb float-sm-right">
                  
                  <li class="breadcrumb-item active"><a href="../caddesembaraco">Acesso Cadastro de Desembaraço</a></li>
                  <li class="breadcrumb-item active">Cadastro de Desembaraço</li>
                </ol> -->
              </div>
            </div>
          </div>

          <div class="row justify-content-center mt-0">
            <div class="col-10 text-center p-0 mt-3 mb-2">
              <div class="card px-0 pt-4 pb-0 mt-3 mb-3">
                <div class="card-header text-center flex" style="border: none!important;box-shadow:none!important;">
                  <h2>Cadastro de Desembaraço
                    <button type="button" class="btn btn-info btn-sm ml-2" title="Tutorial" style="color: white;" id="tutorial">
                      <i class="fas fa-question-circle"></i>
                    </button>
                  </h2>
                </div>

                <div class="row">
                  <div class="col-md-12 mx-0 mb-3">
                    <form id="msform">
                      <ul id="progressbar">
                        <li class="active" id="account"><strong>Geral</strong></li>
                      </ul>
                      <p>Preencha os dados e clique em gravar para realizar o cadastro ou alteração do Desembaraço.</p>
                      <fieldset class="row justify-content-center mt-5">

                        <div class="col-10 mb-4" id="conteudo">

                          <div class="row ml-0 mr-0">
                            
                            <div class="col-3 form-group text-left">
                              <label data-error="wrong" data-success="right" for="txtCodigo">Código: </label>
                              <div class="input-group">
                                <input type="text" class="input-default focus form-control" readonly disabled id="txtCodigo" name="txtCodigo" placeholder="Código preenchido automaticamente">
                              </div>
                            </div>

                            <div class="col-9 form-group text-left">
                              <label data-error="wrong" data-success="right" for="txtDescricao">Descrição: *</label>
                              <div class="input-group">
                                <input type="text" class="input-default focus form-control text-uppercase" id="txtDescricao" name="txtDescricao" class="form-control" placeholder="Descrição" require>
                              </div>
                            </div>
                          </div>

                          <div class="row mt-2">

                            <div class="col-12 col-md-4 text-left">
                              <label data-error="wrong" data-success="right" for="txtCidade">Cidade: *</label>
                              <div class="input-group">
                                <input type="text" class="input-default focus form-control text-uppercase" id="txtCidade" name="txtCidade" class="form-control" placeholder="CIDADE">
                                <div class="input-group-append">
                                  <button class="btn bg-danger" id="btnConsultaCidade" name="btnConsultaCidade" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                  <button class="btn bg-danger" id="btnLimpaColsultaCidade" name="btnLimpaColsultaCidade" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                </div>
                              </div>
                            </div>

                            <div class="col-12 col-md-4 text-left">
                              <label data-error="wrong" data-success="right" for="txtEstado">Estado: *</label>
                              <div class="input-group">
                                <input type="text" class="input-default focus form-control text-uppercase" id="txtEstado" name="txtEstado" class="form-control" placeholder="UF">
                                <div class="input-group-append">
                                  <button class="btn bg-danger" id="btnConsultaEstado" name="btnConsultaEstado" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                  <button class="btn bg-danger" id="btnLimpaColsultaEstado" name="btnLimpaColsultaEstado" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                </div>
                              </div>
                            </div>

                            <div class="col-12 col-md-4 text-left">
                              <label data-error="wrong" data-success="right" for="txtPais">País: *</label>
                              <div class="input-group">
                                <input type="text" class="input-default focus form-control text-uppercase" id="txtPais" name="txtPais" class="form-control" placeholder="País">
                                <div class="input-group-append">
                                  <button class="btn bg-danger" id="btnConsultaPais" name="btnConsultaPais" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                  <button class="btn bg-danger" id="btnLimpaColsultaPais" name="btnLimpaColsultaPais" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                </div>
                              </div>
                            </div>

                          </div>
                        </div>

                      </fieldset>
                      <input type="button" name="btnGravar" id="btnGravar" class="btn-sisp action-button" value="Gravar" />
                      <button type="button" id="btnVoltar" style="font-size:15px;" class="btn-sisp action-button-previous" data-dismiss="modal">Voltar</button>
                    </form>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>

    <?php
    include_once('../../../modais.php');
    ?>
    <aside class="control-sidebar control-sidebar-dark">
    </aside>
  </div>
  <script src="../plugins/jquery/jquery.min.js?versao=3.248.22.2"></script>
  <script src="../plugins/jquery-ui/jquery-ui.min.js?versao=3.248.22.2"></script>
  <script type="text/javascript" src="../dist/js/jquery.dataTables.js?versao=3.248.22.2"></script>
  <script type="text/javascript" src="../dist/js/dataTables.bootstrap4.min.js?versao=3.248.22.2"></script>
  <script src="../plugins/sweetalert2/sweetalert2.min.js?versao=3.248.22.2"></script>
  <script src="../plugins/toastr/toastr.min.js?versao=3.248.22.2"></script>
  <script>
    $.widget.bridge('uibutton', $.ui.button);
  </script>
  <script src="../plugins/bootstrap/js/bootstrap.bundle.min.js?versao=3.248.22.2"></script>
  <script src="../dist/js/adminlte.min.js?versao=3.248.22.2"></script>
  <script src="../dist/js/requisicoes.js?versao=3.248.22.2"></script>
  <script src="../dist/js/cliente/entidade.js?versao=3.248.22.2"></script>
  <script src="../dist/js/loadingoverlay.min.js?versao=3.248.22.2"></script>
  <script src="../dist/js/valida_cpf_cnpj.js"></script>
  <script src="../plugins/jquery-validation/jquery.validate.min.js?versao=3.248.22.2"></script>
  <script src="../dist/js/sisplan.js?versao=3.248.22.2"></script>
  <script src="../utils/funcoes.js?versao=3.248.22.2"></script>
  <script src="../utils/cookies.js?versao=3.248.22.2"></script>
  <script src="../dist/js/jquery.maskMoney.min.js?versao=3.248.22.2"></script>
  <script src="../dist/js/driver.min.js?versao=3.248.22.2"></script>
  <script src="../dist/js/dataTables.keyTable2.js?versao=3.248.22.2"></script>
  <script type="text/javascript" src="../config.js?versao=3.248.22.2"></script>
  <script>
    $(document).ready(async function() {
      if (getCookie('usuario') == "") {
        window.location.href = `${BASE_URI}/login`;
        return;
      }

      let usuario = getCookie('usuario');
      let empresa = getCookie('empresa');

      ipInterno = IP_INTERNO;
      ipExterno = IP_EXTERNO;
      basicAuth = BASIC_AUTH;

      const temAcesso = await temAcessoTela('CADDESEMBARACO');
      if (!temAcesso.resultado) {
        toastrAcesso(temAcesso, BASE_URI);
        return;
      }

      sArquivo = `${BASE_URI}/pages/caddesembaraco/cadastro_caddesembaraco/caddesembaraco.js?versao=3.248.22.2`;
      insereJavaScriptPagina(sArquivo);

      const nomeTela = ('<?php echo basename(__FILE__) ?>').replace('.php', '');
      habilitaCamposObrigatoriosTela(nomeTela);
    });
  </script>
</body>

</html>