<?php include_once('../../config.php') ?>

<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>Sisplan Web | Excluir Reserva de Pedidos</title>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="plugins/fontawesome-free/css/all.min.css?versao=3.248.22.2">
    <link rel="stylesheet" href="dist/css/adminlte.min.css?versao=3.248.22.2">
    <link rel="stylesheet" href="dist/css/PesquisaVariosSelect2.css?versao=3.248.22.2">
    <link href='https://fonts.googleapis.com/css?family=Roboto:400,300,500,600,700,400italic' rel='stylesheet' type='text/css'>
    <link rel="stylesheet" href="dist/css/custom.css?versao=3.248.22.2">
    <link rel="stylesheet" href="dist/css/sisplan.css?versao=3.248.22.2">
    <link rel="stylesheet" type="text/css" href="dist/css/dataTables.bootstrap4.min.css?versao=3.248.22.2" />
    <!-- <link rel="stylesheet" type="text/css" href="plugins/datatables-keytable/css/keyTable.bootstrap4.min.css?versao=3.248.22.2"> -->
    <link rel="shortcut icon" href="favicon.ico">
    <link rel="stylesheet" href="plugins/toastr/toastr.min.css?versao=3.248.22.2">
    <link rel="stylesheet" type="text/css" href="dist/css/driver.min.css?versao=3.248.22.2" />
    <link rel="stylesheet" href="dist/css/jquery-ui.css?versao=3.248.22.2">
    <link rel="stylesheet" href="plugins/select2/css/select2.min.css?versao=3.248.22.2">
    <link rel="stylesheet" href="plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css?versao=3.248.22.2">
    <link rel="stylesheet" href="plugins/datatables-colreorder/css/colReorder.bootstrap4.min.css?versao=3.248.22.2">
    <style>
        .radioStyle {
            border: solid #e0e4e6;
            border-radius: 4px;
            border-width: 2px;
            padding: 6px;
        }

        .campoCheck {
            display: inline-block;
            position: absolute;
            width: 22px;
            height: 22px;
            border: 1px solid #D3CFC8;
            border-radius: 0;
        }

        .border-Field {
            border: 1px solid var(--font-color) !important;
            padding: 0 0 0 1.0em !important;
            margin: 0 0 1.0em 0 !important;
            -webkit-box-shadow: 0px 0px 0px 0px #000;
            box-shadow: 0px 0px 0px 0px #000;
            border-radius: 3px;
        }

        .border-Field .textoBorda {
            font-size: 1.1em !important;
            text-align: left !important;
            width: auto;
            padding: 0 10px;
            border-bottom: none;
        }

        #btnExcluirReserva {
            height: 40px;
        }
    </style>
</head>

<body class="hold-transition sidebar-mini layout-fixed">
    <div class="wrapper">

        <div class="content-wrapper">
            <div class="content-header">
                <div class="container-fluid">
                    <div class="row mb-2">
                        <div class="col-sm-6 flex">
                            <h1 class="m-0 text-dark">Excluir Reserva de Pedidos</h1>
                            <button type="button" class="btn btn-info btn-sm ml-2" title="Tutorial" style="color: white;" id="tutorial">
                                <i class="fas fa-question-circle"></i></button>
                        </div>
                    </div>
                </div>
                <div class="container-fluid card p-4">
                    <div class="body-fluid" id="abaGeral">
                        <div class="row">
    
                            <div class="col-lg-3 form-group">
                                <label data-error="wrong" data-success="right" for="txtDtEmissaoDe">Emissão (de/até):</label>
                                <div class="input-group">
                                    <input type="date" max="2500-12-31" class="input-default focus form-control" id="txtDtEmissaoDe" name="txtDtEmissaoDe">
                                    <input type="date" max="2500-12-31" class="input-default focus form-control" id="txtDtEmissaoAte" name="txtDtEmissaoAte">
                                </div>
                            </div>
    
                            <div class="col-lg-3 form-group">
                                <label data-error="wrong" data-success="right" for="txtDtReservaDe">Reserva (de/até):</label>
                                <div class="input-group">
                                    <input type="date" max="2500-12-31" class="input-default focus form-control" id="txtDtReservaDe" name="txtDtReservaDe">
                                    <input type="date" max="2500-12-31" class="input-default focus form-control" id="txtDtReservaAte" name="txtDtReservaAte">
                                </div>
                            </div>
    
                            <div class="col-lg-3 form-group">
                                <label data-error="wrong" data-success="right" for="txtDtFaturaDe">Fatura (de/até):</label>
                                <div class="input-group">
                                    <input type="date" max="2500-12-31" class="input-default focus form-control" id="txtDtFaturaDe" name="txtDtFaturaDe">
                                    <input type="date" max="2500-12-31" class="input-default focus form-control" id="txtDtFaturaAte" name="txtDtFaturaAte">
                                </div>
                            </div>
    
                            <div class="col-lg-3 form-group">
                                <label data-error="wrong" data-success="right" for="txtProduto">Produto: </label>
                                <div class="input-group">
                                    <select class="js-example-programmatic js-states form-control" id="txtProduto" name="txtProduto" multiple="multiple"></select>
                                    <div class="input-group-append">
                                        <button class="btn bg-danger" id="btnProduto" name="btnProduto" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                        <button class="btn bg-danger" id="btnLimpaProduto" name="btnLimpaProduto" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                    </div>
                                </div>
                            </div>
    
                        </div>
                        <div class="row">
    
                            <div class="col-lg-3 form-group">
                                <label data-error="wrong" data-success="right" for="txtPedido">Pedido: </label>
                                <div class="input-group">
                                    <select class="js-example-programmatic js-states form-control" id="txtPedido" name="txtPedido" multiple="multiple"></select>
                                    <div class="input-group-append">
                                        <button class="btn bg-danger" id="btnPedido" name="btnPedido" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                        <button class="btn bg-danger" id="btnLimpaPedido" name="btnLimpaPedido" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                    </div>
                                </div>
                            </div>
    
                            <div class="col-lg-3 form-group">
                                <label data-error="wrong" data-success="right" for="txtCor">Cor: </label>
                                <div class="input-group">
                                    <select class="js-example-programmatic js-states form-control" id="txtCor" name="txtCor" multiple="multiple"></select>
                                    <div class="input-group-append">
                                        <button class="btn bg-danger" id="btnCor" name="btnCor" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                        <button class="btn bg-danger" id="btnLimpaCor" name="btnLimpaCor" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                    </div>
                                </div>
                            </div>
    
                            <div class="col-lg-3 form-group">
                                <label data-error="wrong" data-success="right" for="txtTamanho">Tamanho: </label>
                                <div class="input-group">
                                    <select class="js-example-programmatic js-states form-control" id="txtTamanho" name="txtTamanho" multiple="multiple"></select>
                                    <div class="input-group-append">
                                        <button class="btn bg-danger" id="btnTamanho" name="btnTamanho" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                        <button class="btn bg-danger" id="btnLimpaTamanho" name="btnLimpaTamanho" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                    </div>
                                </div>
                            </div>
    
                            <div class="col-lg-3 form-group">
                                <label data-error="wrong" data-success="right" for="txtGrupoPA">Grupo Produto: </label>
                                <div class="input-group">
                                    <select class="js-example-programmatic js-states form-control" id="txtGrupoPA" name="txtGrupoPA" multiple="multiple"></select>
                                    <div class="input-group-append">
                                        <button class="btn bg-danger" id="btnGrupoPA" name="btnGrupoPA" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                        <button class="btn bg-danger" id="btnLimpaGrupoPA" name="btnLimpaGrupoPA" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                    </div>
                                </div>
                            </div>
    
                        </div>
                        <div class="row">
    
                            <div class="col-lg-3 form-group">
                                <label data-error="wrong" data-success="right" for="txtRepresentante">Representante: </label>
                                <div class="input-group">
                                    <select class="js-example-programmatic js-states form-control" id="txtRepresentante" name="txtRepresentante" multiple="multiple"></select>
                                    <div class="input-group-append">
                                        <button class="btn bg-danger" id="btnRepresentante" name="btnRepresentante" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                        <button class="btn bg-danger" id="btnLimpaRepresentante" name="btnLimpaRepresentante" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                    </div>
                                </div>
                            </div>
    
                            <div class="col-lg-3 form-group">
                                <label data-error="wrong" data-success="right" for="txtReserva">Reserva: </label>
                                <div class="input-group">
                                    <select class="js-example-programmatic js-states form-control" id="txtReserva" name="txtReserva" multiple="multiple"></select>
                                    <div class="input-group-append">
                                        <button class="btn bg-danger" id="btnReserva" name="btnReserva" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                        <button class="btn bg-danger" id="btnLimpaReserva" name="btnLimpaReserva" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                    </div>
                                </div>
                            </div>
    
                            <div class="col-lg-3 form-group">
                                <label data-error="wrong" data-success="right" for="txtDeposito">Depósito: </label>
                                <div class="input-group">
                                    <select class="js-example-programmatic js-states form-control" id="txtDeposito" name="txtDeposito" multiple="multiple"></select>
                                    <div class="input-group-append">
                                        <button class="btn bg-danger" id="btnDeposito" name="btnDeposito" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                        <button class="btn bg-danger" id="btnLimpaDeposito" name="btnLimpaDeposito" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                    </div>
                                </div>
                            </div>
    
                            <div class="col-lg-3 form-group">
                                <label data-error="wrong" data-success="right" for="txtGrupoCli">Grupo Cliente: </label>
                                <div class="input-group">
                                    <select class="js-example-programmatic js-states form-control" id="txtGrupoCli" name="txtGrupoCli" multiple="multiple"></select>
                                    <div class="input-group-append">
                                        <button class="btn bg-danger" id="btnGrupoCli" name="btnGrupoCli" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                        <button class="btn bg-danger" id="btnLimpaGrupoCli" name="btnLimpaGrupoCli" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                    </div>
                                </div>
                            </div>
    
                        </div>
                        <div class="row">
    
                            <div class="col-lg-3 form-group">
                                <label data-error="wrong" data-success="right" for="txtCliente">Cliente: </label>
                                <div class="input-group">
                                    <select class="js-example-programmatic js-states form-control" id="txtCliente" name="txtCliente" multiple="multiple"></select>
                                    <div class="input-group-append">
                                        <button class="btn bg-danger" id="btnCliente" name="btnCliente" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                        <button class="btn bg-danger" id="btnLimpaCliente" name="btnLimpaCliente" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                    </div>
                                </div>
                            </div>
    
                            <div class="col-lg-3 form-group">
                                <label data-error="wrong" data-success="right" for="txtGrupoPedido">Grupo Pedido: </label>
                                <div class="input-group">
                                    <select class="js-example-programmatic js-states form-control" id="txtGrupoPedido" name="txtGrupoPedido" multiple="multiple"></select>
                                    <div class="input-group-append">
                                        <button class="btn bg-danger" id="btnGrupoPedido" name="btnGrupoPedido" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                        <button class="btn bg-danger" id="btnLimpaGrupoPedido" name="btnLimpaGrupoPedido" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                    </div>
                                </div>
                            </div>
    
                            <div class="col-lg-3 form-group">
                                <label data-error="wrong" data-success="right" for="txtColecao">Coleção: </label>
                                <div class="input-group">
                                    <select class="js-example-programmatic js-states form-control" id="txtColecao" name="txtColecao" multiple="multiple"></select>
                                    <div class="input-group-append">
                                        <button class="btn bg-danger" id="btnColecao" name="btnColecao" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                        <button class="btn bg-danger" id="btnLimpaColecao" name="btnLimpaColecao" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                    </div>
                                </div>
                            </div>
    
                            <div class="col-lg-3 form-group">
                                <label data-error="wrong" data-success="right" for="txtTipoPedido">Tipo Pedido: </label>
                                <div class="input-group">
                                    <select class="js-example-programmatic js-states form-control" id="txtTipoPedido" name="txtTipoPedido" multiple="multiple"></select>
                                    <div class="input-group-append">
                                        <button class="btn bg-danger" id="btnTipoPedido" name="btnTipoPedido" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                        <button class="btn bg-danger" id="btnLimpaTipoPedido" name="btnLimpaTipoPedido" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                    </div>
                                </div>
                            </div>
    
                        </div>
                        <div class="row">
    
                            <div class="col-lg-3 form-group">
                                <label data-error="wrong" data-success="right" for="txtStatusPed">Status Pedido: </label>
                                <div class="input-group">
                                    <select class="js-example-programmatic js-states form-control" id="txtStatusPed" name="txtStatusPed" multiple="multiple"></select>
                                    <div class="input-group-append">
                                        <button class="btn bg-danger" id="btnStatusPed" name="btnStatusPed" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                        <button class="btn bg-danger" id="btnLimpaStatusPed" name="btnLimpaStatusPed" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                    </div>
                                </div>
                            </div>
    
                            <div class="col-lg-3 form-group">
                                <label data-error="wrong" data-success="right" for="txtEtiqueta">Etiqueta Produto: </label>
                                <div class="input-group">
                                    <select class="js-example-programmatic js-states form-control" id="txtEtiqueta" name="txtEtiqueta" multiple="multiple"></select>
                                    <div class="input-group-append">
                                        <button class="btn bg-danger" id="btnEtiqueta" name="btnEtiqueta" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                        <button class="btn bg-danger" id="btnLimpaEtiqueta" name="btnLimpaEtiqueta" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                    </div>
                                </div>
                            </div>
    
                            <div class="col-lg-3 form-group mt-3">
                                <fieldset class="form border-Field mb-0 pb-0">
                                    <legend class="textoBorda mb-0 pb-0">Opções</legend>
                                    <div class="form-row ml-2">
                                        <div class="form-group form-check icheck-primary">
                                            <input type="checkbox" class="form-check-input" id="cbReservasPendentes">
                                            <label class="form-check-label pr-2" for="cbReservasPendentes">Reservas Pendentes</label>
                                        </div>
                                    </div>
                                </fieldset>
                            </div>
    
                            <div class="col-lg-3 form-group mt-4 pt-1">
                                <button id="btnConsultar" class="btn btn-primary btn-sisp mr-2" type="button">
                                    <span class="fas fa-search"></span> Consultar
                                </button>
                                <button id="btnImprimir" class="btn-sisp btn btn-success"><i class="fas fa-print"></i> Imprimir</button>
                            </div>
    
                        </div>
                    </div>

                    <div class="footer-fluid" id="footerGeral">
                        <div class="row">
                            <div class="col-sm-12 table-responsive">
                                <h5>Reservas</h5>
                                <table id="tabelaPedido" class="table table-sm table-select table-hover" width="100%" style="white-space: nowrap;">
                                    <thead>
                                        <tr></tr>
                                    </thead>
                                    <tbody>
                                        <tr></tr>
                                    </tbody>
                                </table>
                            </div>
                        </div>

                        <div class="row">
                            <div class="col-9 col-md-9 d-flex justify-content-start p-0">
                                <div class="col-xl-3 col-12 form-group">
                                    <label style="padding-left: 0 !important;" data-error="wrong" data-success="right" for="txtQtdeReservada">Total Qtde Reservada:</label>
                                    <div class="relative">
                                        <div class="input-group">
                                            <input type="text" class="input-default focus form-control" disabled id="txtQtdeReservada" name="txtQtdeReservada" class="form-control" placeholder="Qtde Reservada">
                                        </div>
                                    </div>
                                </div>
                                <div class="col-xl-3 col-12 form-group">
                                    <label style="padding-left: 0 !important;" data-error="wrong" data-success="right" for="txtQtdeBaixada">Total Qtde Baixada:</label>
                                    <div class="relative">
                                        <div class="input-group">
                                            <input type="text" class="input-default focus form-control" disabled id="txtQtdeBaixada" name="txtQtdeBaixada" class="form-control" placeholder="Qtde Baixada">
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-3 col-md-3 d-flex justify-content-end pr-0 mt-4 pt-1">
                                <button id="btnExcluirReserva" class="btn-sisp btn btn-danger"><i class="fas fa-trash"></i> Excluir Reservas</button>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!-- modal  -->
        </div>
    </div>
    <?php
    include_once('../../modais.php');
    ?>
    <aside class="control-sidebar control-sidebar-dark">
    </aside>
    </div>
    <script src="plugins/jquery/jquery.min.js?versao=3.248.22.2"></script>
    <script type="text/javascript" src="dist/js/jquery.dataTables.js?versao=3.248.22.2"></script>
    <script type="text/javascript" src="dist/js/dataTables.bootstrap4.min.js?versao=3.248.22.2"></script>
    <script src="plugins/jquery-ui/jquery-ui.min.js?versao=3.248.22.2"></script>
    <script>
        $.widget.bridge('uibutton', $.ui.button);
    </script>
    <script src="plugins/bootstrap/js/bootstrap.bundle.min.js?versao=3.248.22.2"></script>
    <script src="dist/js/adminlte.min.js?versao=3.248.22.2"></script>
    <script src="dist/js/sisplan.js?versao=3.248.22.2"></script>
    <script src="utils/funcoes.js?versao=3.248.22.2"></script>
    <script src="utils/cookies.js?versao=3.248.22.2"></script>
    <script src="dist/js/requisicoes.js?versao=3.248.22.2"></script>
    <script src="dist/js/loadingoverlay.min.js?versao=3.248.22.2"></script>
    <script src="dist/js/driver.min.js?versao=3.248.22.2"></script>
    <script src="plugins/toastr/toastr.min.js?versao=3.248.22.2"></script>
    <script src="plugins/select2/js/select2.full.min.js?versao=3.248.22.2"></script>
    <script type="text/javascript" src="dist/js/sum().js?versao=3.248.22.2"></script>
    <script src="dist/js/dataTables.keyTable2.js?versao=3.248.22.2"></script>
    <script type="text/javascript" src="config.js?versao=3.248.22.2"></script>
    <script src="plugins/datatables-colreorder/js/dataTables.colReorder.min.js?versao=3.248.22.2"></script>
    <script>
        $(document).ready(async function() {
            if (getCookie('usuario') == "") {
                window.location.href = `${BASE_URI}/login`;
                return;
            }

            let usuario = getCookie('usuario');
            let empresa = getCookie('empresa');

            ipInterno = IP_INTERNO;
            ipExterno = IP_EXTERNO;
            basicAuth = BASIC_AUTH;

            const temAcesso = await temAcessoTela('EXCLUIRESERVA');
            if (!temAcesso.resultado) {
                toastrAcesso(temAcesso, BASE_URI);
                return;
            }

            sArquivo = `${BASE_URI}/pages/excluireserva/excluireserva.js?versao=3.248.22.2`;
            insereJavaScriptPagina(sArquivo);

        });
    </script>
</body>

</html>