<!DOCTYPE html>
<html>

<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <title>Sisplan Web | Classe Gerencial</title>
  <!-- Tell the browser to be responsive to screen width -->
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="plugins/fontawesome-free/css/all.min.css?versao=3.248.22.2">

  <link rel="stylesheet" href="dist/css/adminlte.min.css?versao=3.248.22.2">
  <link rel="stylesheet" href="dist/css/custom.css?versao=3.248.22.2">
  <link rel="stylesheet" href="dist/css/sisplan.css?versao=3.248.22.2">
  <link rel="stylesheet" href="dist/css/PesquisaVariosSelect2.css?versao=3.248.22.2">
  <link rel="stylesheet" type="text/css" href="plugins/datatables-keytable/css/keyTable.bootstrap4.min.css?versao=3.248.22.2">
  <link rel="stylesheet" href="plugins/toastr/toastr.min.css?versao=3.248.22.2">
  <link rel="stylesheet" href="plugins/icheck-bootstrap/icheck-bootstrap.min.css?versao=3.248.22.2">
  <link rel="stylesheet" href="plugins/fontawesome-free/css/all.min.css?versao=3.248.22.2">
  <link rel="shortcut icon" href="favicon.ico">
  <link rel="stylesheet" type="text/css" href="dist/css/driver.min.css?versao=3.248.22.2" />
  <link rel="stylesheet" href="dist/css/jquery-ui.css?versao=3.248.22.2">
  <link href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700" rel="stylesheet">
  <link rel="stylesheet" href="plugins/select2/css/select2.min.css?versao=3.248.22.2">
  <link rel="stylesheet" href="plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css?versao=3.248.22.2">
  <link rel="stylesheet" href="plugins/datatables-colreorder/css/colReorder.bootstrap4.min.css?versao=3.248.22.2">
  <style>
    .bordaCampos {
      border: solid #e0e4e6;
      border-radius: 4px;
      border-width: 2px;
      padding-top: 2%;
      padding-bottom: 0%;
    }

    .bordaCampos:first-child {
      display: flex;
      flex-direction: row;
      flex-wrap: wrap;
      justify-content: flex-end;
      align-items: center;
    }

    .border-Field .textoBorda {
      font-size: 1.0em !important;
      text-align: left !important;
      width: auto;
      padding: 0 10px;
      border-bottom: none;
    }

    .border-Field {
      border: 1.0px solid var(--font-color) !important;
      padding: 0 1.0em 1.0em 1.0em !important;
      margin: 0 0 1.0em 0 !important;
      -webkit-box-shadow: 0px 0px 0px 0px #000;
      box-shadow: 0px 0px 0px 0px #000;
      padding-bottom: 0px !important;
    }

    .form-group {
      margin-bottom: 5px;
    }
  </style>
</head>

<body class="hold-transition sidebar-mini layout-fixed">
  <main class="wrapper">

    <div class="content-wrapper">
      <div class="content-header">
        <div class="container-fluid">
          <div class="row mb-2">
            <div class="col-sm-6 flex">
              <h1 class="m-0 text-dark">Relatório de Classe Gerencial</h1>
              <button type="button" class="btn btn-info btn-sm ml-2" title="Tutorial" style="color: white;" id="tutorial">
                <i class="fas fa-question-circle"></i></button>
            </div>
            <div class="col-sm-6">
 
            </div>
          </div>
          <div class="row">
            <div class="col-12">
              <fieldset>
                <div class="row">
                  <div class="col-12">
                    <div class="buttons">
                      <button class="btn btn-success btn-sisp" id="btnFiltrosRel" type="button"><span class="fas fa-filter"></span> Filtros</button>
                      <button id="btnImprimir" class="btn-sisp btn btn-danger"><i class="fas fa-print"></i> Imprimir</button>
                    </div>
                  </div>
                </div>
                <div class="card-body">
                  <div class="card">
                    <div class="col-sm-12 table-responsive card-body">
                      <table id="tabelaDados" class="table table-sm table-select table-hover" style="white-space: nowrap" width="100%"></table>
                      <thead>
                        <tr></tr>
                      </thead>
                      <tbody>
                        <tr></tr>
                      </tbody>
                    </div>
                  </div>
                </div>
              </fieldset>
            </div>
          </div>
        </div>
      </div>
    </div>
    <!-- <div id="modal-filtros" class="" tabindex="0" role="dialog"> -->

    <div id="modal-filtros" class="modal" tabindex="-1" role="dialog">
      <div class="modal-dialog modal-xl" role="document">
        <div class="modal-content" id="modalBody">
          <div class="modal-header col-12">
            <h4 class="modal-title">Filtros</h4>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
          <div class="modal-body p-4">
            <div class="form-row">

              <div class="col-lg-6 col-md-12 col-sm-12">
                <fieldset class="form border-Field p-0">
                  <legend class="textoBorda pb-0 mb-0">Status</legend>
                  <div class="form-row d-flex justify-content-around">
                    <label class="labelCheck"><input type="radio" checked id="rdStatusTodas" name="radioStatus" value="0"><span class="checkmark"></span>  Todas</label>
                    <label class="labelCheck ml-3"><input type="radio" id="rdStatusBloq" name="radioStatus" value="1"><span class="checkmark"></span>  Bloqueadas</label>
                    <label class="labelCheck ml-3"><input type="radio" id="rdStatusAnalise" name="radioStatus" value="2"><span class="checkmark"></span>  Em análise</label>
                    <label class="labelCheck ml-3"><input type="radio" id="rdStatusLiberadas" name="radioStatus" value="3"><span class="checkmark"></span>  Liberadas</label>
                  </div>
                </fieldset>
              </div>
              <div class="col-lg-3 col-md-12 col-sm-12">
                <fieldset class="form border-Field p-0">
                  <legend class="textoBorda pb-0 mb-0">Filtro</legend>
                  <div class="form-row d-flex justify-content-around">
                    <label class="labelCheck"><input type="radio" checked id="rdFiltroTodos" name="radioFiltro" value="0"><span class="checkmark"></span>  Todos</label>
                    <label class="labelCheck ml-3"><input type="radio" id="rdFiltroObra" name="radioFiltro" value="1"><span class="checkmark"></span>  Obra</label>
                    <label class="labelCheck ml-3"><input type="radio" id="rdFiltroNaoObra" name="radioFiltro" value="2"><span class="checkmark"></span>  Não obra</label>
                  </div>
                </fieldset>
              </div>
              <div class="col-lg-3 col-md-12 col-sm-12">
                <fieldset class="form border-Field p-0">
                  <legend class="textoBorda pb-0 mb-0">Duplicatas</legend>
                  <div class="form-row d-flex justify-content-around">
                    <label class="labelCheck"><input type="radio" checked id="rdDupTodas" name="radioDuplicatas" value="0"><span class="checkmark"></span>  Todas</label>
                    <label class="labelCheck ml-3"><input type="radio" id="rdDupPendentes" name="radioDuplicatas" value="1"><span class="checkmark"></span>  Pendentes</label>
                    <label class="labelCheck ml-3"><input type="radio" id="rdDupPagas" name="radioDuplicatas" value="2"><span class="checkmark"></span>  Pagas</label>
                  </div>
                </fieldset>
              </div>

              <div class="col-lg-6 col-md-12 col-sm-12">
                <fieldset class="form border-Field p-0">
                  <legend class="textoBorda pb-0 mb-0">Tipo</legend>
                  <div class="form-rows d-flex justify-content-around">
                    <label class="labelCheck" for="cbTipoAp">   <input type="checkbox" class="configCheck" id="cbTipoAp" checked>  A.P.</label>
                    <label class="labelCheck" for="cbTipoAnte">   <input type="checkbox" class="configCheck" id="cbTipoAnte">  Antecipação</label>
                    <label class="labelCheck" for="cbTipoOrc">   <input type="checkbox" class="configCheck" id="cbTipoOrc">  Orçamento</label>
                    <label class="labelCheck" for="cbTipoCh">   <input type="checkbox" class="configCheck" id="cbTipoCh">  Cheque</label>
                  </div>
                </fieldset>
              </div>
              <div class="col-lg-2 col-md-12 col-sm-12">
                <fieldset class="form border-Field p-0">
                  <legend class="textoBorda pb-0 mb-0">Geral</legend>
                  <div class="form-rows">
                    <!-- <label class="labelCheck" for="cbConsCustoFiltrado">   <input type="checkbox" class="configCheck" id="cbConsCustoFiltrado">  Considerar somente c. custo filtrado</label> -->
                    <!-- <label class="labelCheck" for="cbBuscarRateio">   <input type="checkbox" class="configCheck" id="cbBuscarRateio">  Buscar rateio</label> -->
                    <label class="labelCheck" for="cbTotPorMes">   <input type="checkbox" class="configCheck" id="cbTotPorMes">  Totaliza por mês</label>
                  </div>
                </fieldset>
              </div>

              <div class="col-lg-3 col-md-6 col-sm-6 mt-2 p-1 form-group">
                <button id="btnCarregaEmpresas" class="btn btn-danger">Selecionar Empresas</button>
              </div>

              <div class="col-lg-4 col-md-12 col-sm-12 form-group">
                <label for="dtVencimento">Vencimento de/até:</label>
                <div class="input-group">
                  <input type="date" max="2500-12-31" value="1200-01-01" class="input-default focus form-control validate" id="dtVencimentoDe" name="dtVencimentoDe">
                  <input type="date" max="2500-12-31" value="2500-12-31" class="input-default focus form-control validate" id="dtVencimentoAte" name="dtVencimentoAte">
                </div>
              </div>

              <div class="col-lg-4 col-md-12 col-sm-12 form-group">
                <label for="dtEmissao">Emissão de/até:</label>
                <div class="input-group">
                  <input type="date" max="2500-12-31" value="1200-01-01" class="input-default focus form-control validate" id="dtEmissaoDe" name="dtEmissaoDe">
                  <input type="date" max="2500-12-31" value="2500-12-31" class="input-default focus form-control validate" id="dtEmissaoAte" name="dtEmissaoAte">
                </div>
              </div>

              <div class="col-lg-4 col-md-12 col-sm-12 form-group">
                <label for="dtEntrada">Entrada de/até:</label>
                <div class="input-group">
                  <input type="date" max="2500-12-31" value="1200-01-01" class="input-default focus form-control validate" id="dtEntradaDe" name="dtEntradaDe">
                  <input type="date" max="2500-12-31" value="2500-12-31" class="input-default focus form-control validate" id="dtEntradaAte" name="dtEntradaAte">
                </div>
              </div>

              <div class="col-lg-4 col-md-12 col-sm-12 form-group">
                <label for="dtPagamento">Pagamento de/até:</label>
                <div class="input-group">
                  <input type="date" max="2500-12-31" value="1200-01-01" class="input-default focus form-control validate" id="dtPagamentoDe" name="dtPagamentoDe">
                  <input type="date" max="2500-12-31" value="2500-12-31" class="input-default focus form-control validate" id="dtPagamentoAte" name="dtPagamentoAte">
                </div>
              </div>

              <div class="col-lg-4 col-md-12 col-sm-12 form-group">
                <label for="dtCompetencia">Competência de/até:</label>
                <div class="input-group">
                  <input type="date" max="2500-12-31" value="1200-01-01" class="input-default focus form-control validate" id="dtCompetenciaDe" name="dtCompetenciaDe">
                  <input type="date" max="2500-12-31" value="2500-12-31" class="input-default focus form-control validate" id="dtCompetenciaAte" name="dtCompetenciaAte">
                </div>
              </div>

              <div class="col-lg-4 col-md-12 col-sm-12 form-group">
                <label for="dtDigitacao">Digitação de/até:</label>
                <div class="input-group">
                  <input type="date" max="2500-12-31" value="1200-01-01" class="input-default focus form-control validate" id="dtDigitacaoDe" name="dtDigitacaoDe">
                  <input type="date" max="2500-12-31" value="2500-12-31" class="input-default focus form-control validate" id="dtDigitacaoAte" name="dtDigitacaoAte">
                </div>
              </div>

              <div class="col-lg-4 col-md-12 col-sm-12 form-group">
                <label for="dtContabil">Contábil de/até:</label>
                <div class="input-group">
                  <input type="date" max="2500-12-31" value="1200-01-01" class="input-default focus form-control validate" id="dtContabilDe" name="dtContabilDe">
                  <input type="date" max="2500-12-31" value="2500-12-31" class="input-default focus form-control validate" id="dtContabilAte" name="dtContabilAte">
                </div>
              </div>

              <div class="col-lg-4 col-md-12 col-sm-12 form-group">
                <label for="dtContabil">Histórico de/até:</label>
                <div class="input-group">
                  <input type="text" autocomplete="off" class="input-default focus form-control" id="txtHistoricoDe" name="txtHistoricoDe" class="form-control" placeholder="De">
                  <div class="input-group-append">
                    <button class="btn bg-danger" id="btnHistoricoDe" name="btnHistoricoDe" data-button="a bsolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                    <button class="btn bg-danger" id="btnLimpaHistoricoDe" name="btnLimpaHistoricoDe" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                  </div>
                  <input type="text" autocomplete="off" class="input-default focus form-control" id="txtHistoricoAte" name="txtHistoricoAte" class="form-control" placeholder="Até">
                  <div class="input-group-append">
                    <button class="btn bg-danger" id="btnHistoricoAte" name="btnHistoricoAte" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                    <button class="btn bg-danger" id="btnLimpaHistoricoAte" name="btnLimpaHistoricoAte" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                  </div>
                </div>
              </div>

              <div class="col-lg-4 col-md-12 col-sm-12 form-group">
                <label for="dtContabil">Classe gerencial de/até:</label>
                <div class="input-group">
                  <input type="text" autocomplete="off" class="input-default focus form-control" id="txtClasseGerDe" name="txtClasseGerDe" class="form-control" placeholder="De">
                  <div class="input-group-append">
                    <button class="btn bg-danger" id="btnClasseGerDe" name="btnClasseGerDe" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                    <button class="btn bg-danger" id="btnLimpaClasseGerDe" name="btnLimpaClasseGerDe" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                  </div>
                  <input type="text" autocomplete="off" class="input-default focus form-control" id="txtClasseGerAte" name="txtClasseGerAte" class="form-control" placeholder="Até">
                  <div class="input-group-append">
                    <button class="btn bg-danger" id="btnClasseGerAte" name="btnClasseGerAte" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                    <button class="btn bg-danger" id="btnLimpaClasseGerAte" name="btnLimpaClasseGerAte" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                  </div>
                </div>
              </div>

              <div class="col-lg-4 col-md-12 col-sm-12 form-group">
                <input type="checkbox" value="S" id="cbConsideraFornecedor" data-toggle="tooltip" data-placement="top" checked title="Se marcado, considera apenas os fornecedores selecionados na pesquisa, se desmarcado, desconsidera os fornecedores selecionados na pesquisa e filtra por todos os outros fornecedores.">
                  <label data-error="wrong" id="lblInputFornecedor" data-success="right" for="cbConsideraFornecedor">Fornecedor: </label>
                <div class="relative">
                  <div class="input-group">
                    <select class="js-example-programmatic js-states form-control" id="txtFornecedor" name="txtFornecedor" multiple="multiple"></select>
                    <div class="input-group-append">
                      <button class="btn bg-danger" id="btnFornecedor" name="btnProduto" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                      <button class="btn bg-danger" id="btnLimpaFornecedor" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                    </div>
                  </div>
                </div>
              </div>
              <div class="col-lg-4 col-md-12 col-sm-12 form-group">
                <input type="checkbox" value="S" id="cbConsideraCCusto" data-toggle="tooltip" data-placement="top" checked title="Se marcado, considera apenas os custos selecionados na pesquisa, se desmarcado, desconsidera os custos selecionados na pesquisa e filtra por todos os outros custos.">
                  <label data-error="wrong" data-success="right" for="cbConsideraCCusto">C. Custo: </label>
                <div class="relative">
                  <div class="input-group">
                    <select class="js-example-programmatic js-states form-control" id="txtCentroCusto" name="txtCentroCusto" multiple="multiple"></select>
                    <div class="input-group-append">
                      <button class="btn bg-danger" id="btnCentroCusto" name="btnCentroCusto" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                      <button class="btn bg-danger" id="btnLimpaCentroCusto" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                    </div>
                  </div>
                </div>
              </div>
              <div class="col-lg-4 col-md-12 col-sm-12 form-group">
                <input type="checkbox" value="S" id="cbConsideraBanco" data-toggle="tooltip" data-placement="top" checked title="Se marcado, considera apenas os bancos selecionados na pesquisa, se desmarcado, desconsidera os bancos selecionados na pesquisa e filtra por todos os outros bancos.">
                  <label data-error="wrong" data-success="right" for="cbConsideraBanco">Banco: </label>
                <div class="relative">
                  <div class="input-group">
                    <select class="js-example-programmatic js-states form-control" id="txtBanco" name="txtBanco" multiple="multiple"></select>
                    <div class="input-group-append">
                      <button class="btn bg-danger" id="btnBanco" name="btnBanco" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                      <button class="btn bg-danger" id="btnLimpaBanco" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                    </div>
                  </div>
                </div>
              </div>
              <div class="col-lg-4 col-md-12 col-sm-12 form-group">
                <input type="checkbox" value="S" id="cbConsideraMoeda" data-toggle="tooltip" data-placement="top" checked title="Se marcado, considera apenas as moedas selecionados na pesquisa, se desmarcado, desconsidera as moedas selecionados na pesquisa e filtra por todos os outras moedas.">
                  <label data-error="wrong" data-success="right" for="cbConsideraMoeda">Moeda: </label>
                <div class="relative">
                  <div class="input-group">
                    <select class="js-example-programmatic js-states form-control" id="txtMoeda" name="txtMoeda" multiple="multiple"></select>
                    <div class="input-group-append">
                      <button class="btn bg-danger" id="btnMoeda" name="btnMoeda" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                      <button class="btn bg-danger" id="btnLimpaMoeda" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                    </div>
                  </div>
                </div>
              </div>
              <div class="col-lg-4 col-md-12 col-sm-12 form-group">
                <input type="checkbox" value="S" id="cbConsideraHistorico" data-toggle="tooltip" data-placement="top" checked title="Se marcado, considera apenas os históricos selecionados na pesquisa, se desmarcado, desconsidera os históricos selecionados na pesquisa e filtra por todos os outros históricos.">
                  <label data-error="wrong" data-success="right" for="cbConsideraHistorico">Histórico: </label>
                <div class="relative">
                  <div class="input-group">
                    <select class="js-example-programmatic js-states form-control" id="txtHistorico" name="txtHistorico" multiple="multiple"></select>
                    <div class="input-group-append">
                      <button class="btn bg-danger" id="btnHistorico" name="btnHistorico" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                      <button class="btn bg-danger" id="btnLimpaHistorico" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                    </div>
                  </div>
                </div>
              </div>
              <div class="col-lg-4 col-md-12 col-sm-12 form-group">
                <input type="checkbox" value="S" id="cbConsideraSituacao" data-toggle="tooltip" data-placement="top" checked title="Se marcado, considera apenas as situações selecionadas na pesquisa, se desmarcado, desconsidera as situações selecionados na pesquisa e filtra por todas as outras situações.">
                  <label data-error="wrong" data-success="right" for="cbConsideraSituacao">Situação: </label>
                <div class="relative">
                  <div class="input-group">
                    <select class="js-example-programmatic js-states form-control" id="txtSituacao" name="txtSituacao" multiple="multiple"></select>
                    <div class="input-group-append">
                      <button class="btn bg-danger" id="btnSituacao" name="btnSituacao" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                      <button class="btn bg-danger" id="btnLimpaSituacao" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                    </div>
                  </div>
                </div>
              </div>
              <div class="col-lg-4 col-md-12 col-sm-12 form-group">
                <input type="checkbox" value="S" id="cbConsideraClasse" data-toggle="tooltip" data-placement="top" checked title="Se marcado, considera apenas as classes selecionadas na pesquisa, se desmarcado, desconsidera as classes selecionadas na pesquisa e filtra por todas as outras classes.">
                  <label data-error="wrong" data-success="right" for="cbConsideraClasse">Classe:</label>
                <div class="relative">
                  <div class="input-group">
                    <select class="js-example-programmatic js-states form-control" id="txtClasse" name="txtClasse" multiple="multiple"></select>
                    <div class="input-group-append">
                      <button class="btn bg-danger" id="btnClasse" name="btnClasse" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                      <button class="btn bg-danger" id="btnLimpaClasse" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                    </div>
                  </div>
                </div>
              </div>
              <div class="col-lg-4 col-md-12 col-sm-12 form-group">
                <input type="checkbox" value="S" id="cbConsideraConta" data-toggle="tooltip" data-placement="top" checked title="Se marcado, considera apenas as contas selecionadas na pesquisa, se desmarcado, desconsidera as contas selecionadas na pesquisa e filtra por todas as outras contas.">
                  <label data-error="wrong" data-success="right" for="cbConsideraConta">Conta: </label>
                <div class="relative">
                  <div class="input-group">
                    <select class="js-example-programmatic js-states form-control" id="txtConta" name="txtConta" multiple="multiple"></select>
                    <div class="input-group-append">
                      <button class="btn bg-danger" id="btnConta" name="btnConta" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                      <button class="btn bg-danger" id="btnLimpaConta" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                    </div>
                  </div>
                </div>
              </div>

            </div>
          </div>
          <div class="modal-footer justify-content-start pl-0 pr-2">
            <div class="form-row col-lg-12 col-md-12 col-sm-12">
              <div class="col-lg-4 col-md-12 col-sm-12 form-group">
                <label for="txtOrdem">Opção de Relatório:</label>
                <div class="relative">
                  <select id="txtOrdem" class="input-default focus custom-select">
                  </select>
                </div>
              </div>
              <div class="col-lg-8 col-md-12 col-sm-12 form-group d-flex justify-content-end align-items-end pr-2">
                <button class="btn btn-primary btn-sisp mr-2" id="btnLimpaFiltros" style="background-color: #B22222; border-color: #B22222">
                  <span class="fas fa-trash"></span> Limpar Filtros
                </button>
                <button id="btnConsultar" class="btn btn-primary btn-sisp" type="button">
                  <span class="fas fa-search"></span> Consultar
                </button>
              </div>
            </div>
          </div>
          <!-- <div class="modal-footer">
            <div class="row">
              <button class="btn btn-primary btn-sisp" id="btnLimpaFiltros" style="background-color: #B22222; border-color: #B22222"><span class="fas fa-trash"></span> Limpar Filtros</button>   
              <button id="btnConsultar" class='btn btn-primary btn-sisp' type='button'><span class="fas fa-search"></span> Consultar </button>
            </div>
          </div> -->
        </div>
      </div>
    </div>


    <!-- Control Sidebar -->
    <aside class="control-sidebar control-sidebar-dark">
      <!-- Control sidebar content goes here -->
    </aside><!-- /.control-sidebar -->
    <?php include_once('../../modais.php'); ?>
  </main><!-- /.wrapper -->

  <script src="plugins/jquery/jquery.min.js?versao=3.248.22.2"></script>
  <script src="dist/js/jquery.maskMoney.min.js?versao=3.248.22.2"></script>
  <script src="plugins/jquery-ui/jquery-ui.min.js?versao=3.248.22.2"></script>
  <script type="text/javascript" src="dist/js/jquery.dataTables.js?versao=3.248.22.2"></script>
  <script type="text/javascript" src="dist/js/dataTables.bootstrap4.min.js?versao=3.248.22.2"></script>
  <script src="plugins/sweetalert2/sweetalert2.min.js?versao=3.248.22.2"></script>
  <script src="plugins/toastr/toastr.min.js?versao=3.248.22.2"></script>
  <script>
    $.widget.bridge('uibutton', $.ui.button);
  </script>
  <script src="plugins/bootstrap/js/bootstrap.bundle.min.js?versao=3.248.22.2"></script>
  <script src="dist/js/adminlte.min.js?versao=3.248.22.2"></script>
  <script src="dist/js/requisicoes.js?versao=3.248.22.2"></script>
  <script src="dist/js/loadingoverlay.min.js?versao=3.248.22.2"></script>
  <script src="dist/js/valida_cpf_cnpj.js?versao=3.248.22.2"></script>
  <script src="plugins/jquery-validation/jquery.validate.min.js?versao=3.248.22.2"></script>
  <script src="dist/js/dataTables.keyTable.js?versao=3.248.22.2"></script>
  <script src="dist/js/sisplan.js?versao=3.248.22.2"></script>
  <script src="utils/funcoes.js?versao=3.248.22.2"></script>
  <script src="utils/cookies.js?versao=3.248.22.2"></script>
  <script src="dist/js/driver.min.js?versao=3.248.22.2"></script>
  <script src="config.js?versao=3.248.22.2"></script>
  <script type="text/javascript" src="plugins/jszip/jszip.min.js?versao=3.248.22.2"></script>
  <script type="text/javascript" src="plugins/pdfmake/pdfmake.min.js?versao=3.248.22.2"></script>
  <script type="text/javascript" src="plugins/pdfmake/vfs_fonts.js?versao=3.248.22.2"></script>
  <script type="text/javascript" src="plugins/datatables-buttons/js/dataTables.buttons.min.js?versao=3.248.22.2"></script>
  <script type="text/javascript" src="plugins/datatables-buttons/js/buttons.html5.min.js?versao=3.248.22.2"></script>
  <script src="plugins/datatables-colreorder/js/dataTables.colReorder.min.js?versao=3.248.22.2"></script>
  <script src="plugins/select2/js/select2.full.min.js?versao=3.248.22.2"></script>
  <script>
    $(document).ready(async function() {
      if (getCookie('usuario') == "") {
        window.location.href = `${BASE_URI}/login`;
        return;
      }

      let usuario = getCookie('usuario');
      let empresa = getCookie('empresa');

      ipInterno = IP_INTERNO;
      ipExterno = IP_EXTERNO;
      basicAuth = BASIC_AUTH;

      const temAcesso = await temAcessoTela('RELCLASSEGER');
      if (!temAcesso.resultado) {
        toastrAcesso(temAcesso, BASE_URI);
        return;
      }

      sArquivo = `${BASE_URI}/pages/relclasseger/relclasseger.js?versao=3.248.22.2`;
      const nomeTela = ('<?php echo basename(__FILE__) ?>').replace('.php', '');
      // nomeTela


      await insereJavaScriptPagina(sArquivo);

      habilitaCamposObrigatoriosTela(nomeTela);

      $(function() {
        $('[data-toggle="tooltip"]').tooltip()
      })
    });
  </script>

</body>

</html>