<?php include_once('../../../config.php') ?>

<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>Sisplan Web | Alteração do Status de Pedido</title>
    <!-- Tell the browser to be responsive to screen width -->
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <!-- Font Awesome -->
    <link rel="stylesheet" href="plugins/fontawesome-free/css/all.min.css?versao=3.248.22.2">
    <!-- Theme style -->
    <link rel="stylesheet" href="dist/css/adminlte.min.css?versao=3.248.22.2">

    <!-- Google Font: Source Sans Pro -->
    <link href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700" rel="stylesheet">


    <link rel="stylesheet" href="dist/css/custom.css?versao=3.248.22.2">
    <link rel="stylesheet" href="dist/css/sisplan.css?versao=3.248.22.2">
    <link rel="stylesheet" type="text/css" href="dist/css/dataTables.bootstrap4.min.css?versao=3.248.22.2" />
    <link rel="shortcut icon" href="favicon.ico">
    <link rel="stylesheet" href="plugins/toastr/toastr.min.css?versao=3.248.22.2">
    <link rel="stylesheet" type="text/css" href="dist/css/driver.min.css?versao=3.248.22.2" />
    <link rel="stylesheet" href="plugins/select2/css/select2.min.css?versao=3.248.22.2">
    <link rel="stylesheet" href="plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css?versao=3.248.22.2">
    <link rel="stylesheet" href="dist/css/PesquisaVariosSelect2.css?versao=3.248.22.2">

    <style>
        #tabelaStatus td div button {
            padding: .0rem .5rem;
            margin-top: .1rem;
            margin-bottom: .2rem;
        }

        #tabelaStatus td {
            padding: 0 !important;
            padding-left: 10px !important;
        }

        .bordaCampos {
            border: solid #e0e4e6;
            border-radius: 4px;
            border-width: 2px;
            padding-top: 2%;
            padding-bottom: 0%;
        }

        .bordaCampos:first-child {
            display: flex;
            flex-direction: row;
            flex-wrap: wrap;
            justify-content: flex-end;
            align-items: center;
        }

        .border-Field .textoBorda {
            font-size: 1.0em !important;
            text-align: left !important;
            width: auto;
            padding: 0 10px;
            border-bottom: none;
        }

        .border-Field {
            border: 1.0px solid var(--font-color) !important;
            padding: 0 1.0em 1.0em 1.0em !important;
            margin: 0 0 1.0em 0 !important;
            -webkit-box-shadow: 0px 0px 0px 0px #000;
            box-shadow: 0px 0px 0px 0px #000;
            padding-bottom: 0px !important;
        }
    </style>
</head>

<body class="hold-transition sidebar-mini layout-fixed">
    <div class="wrapper">
        <div class="content-wrapper">
            <div class="content-header">
                <div class="container-fluid">
                    <div class="row mb-2">
                        <div class="col-sm-6 flex">
                            <h1 class="m-0 text-dark">Alteração do Status de Pedido</h1>
                            <button type="button" class="btn btn-info btn-sm ml-2" title="Tutorial" style="color: white;" id="tutorial">
                                <i class="fas fa-question-circle"></i></button>
                        </div>
                        <div class="col-sm-6">

                        </div><!-- /.col -->
                    </div><!-- /.row -->
                </div>
                <div class="container-fluid" id="tabelaStatusForne">
                    <div class="row card">
                        <div class="col-sm-12 mt-3">
                            <button class="btn btn-success btn-sisp" id="btnFiltros"><span class="fas fa-search"></span> Filtros</button>
                            <button class="btn btn-danger btn-sisp" id="btnNovoStatus"><span class="fas fa-plus"></span> Incluir</button>
                        </div>
                        <div class="col-sm-12 table-responsive card-body">
                            <h5>Lista de status de pedido</h5>
                            <table id="tabelaStatus" class="table table-sm table-select table-hover" width="100%">
                                <thead>
                                </thead>
                                <tbody>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
            <div id="modal-filtros" class="modal" tabindex="-1" role="dialog">
                <div class="modal-dialog modal-lg" role="document">
                    <div class="modal-content" id="modalBody">
                        <div class="modal-header">
                            <h4 class="modal-title">Filtros</h4>
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </div>
                        <div class="modal-body">
                            <div class="row">
                                <div class="col-12 col-md-6 col-lg-6">
                                    <label data-error="wrong" data-success="right" for="txtTipo">Tipo </label>
                                    <div class="input-group">
                                        <select class="js-example-programmatic js-states form-control" id="txtTipo" name="txtTipo" multiple="multiple"></select>
                                        <div class="input-group-append">
                                            <button class="btn bg-danger" id="btnTipo" name="btnTipo" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                            <button class="btn bg-danger" id="btnLimpaTipo" name="btnLimpaTipo" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-12 col-md-6 col-lg-6">
                                    <label data-error="wrong" data-success="right" for="txtStatus">Status </label>
                                    <div class="input-group">
                                        <select class="js-example-programmatic js-states form-control" id="txtStatus" name="txtStatus" multiple="multiple"></select>
                                        <div class="input-group-append">
                                            <button class="btn bg-danger" id="btnStatus" name="btnStatus" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                            <button class="btn bg-danger" id="btnLimpaStatus" name="btnLimpaStatus" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="row mt-2">
                                <div class="col-12 col-md-6 col-lg-6 text-left">
                                    <label data-error="wrong" data-success="right" for="rgOperacao">Operação</label>
                                    <select style="width:100%;" id="rgOperacao" class="form-group input-default">
                                        <option value="" selected></option>
                                        <option value="opFinanceiro">Liber. Financeiro</option>
                                        <option value="opExpedicao">Expedição</option>
                                        <option value="opExpTotal">Expedição Total</option>
                                        <option value="opFaturamento">Faturamento</option>
                                        <option value="opComercial">Liber. Comercial</option>
                                        <option value="opReserva">Reserva</option>
                                        <option value="opProducao">Produção</option>
                                        <option value="opProducaoPend">Produção Pendente</option>
                                        <option value="opPedido">Entrega Pedido</option>
                                        <option value="opDevolucao">Fat. Devolução</option>
                                        <option value="opFatParcial">Faturamento Parcial</option>
                                        <option value="opEmbarque">Embarque N.F.</option>
                                        <option value="opCancelado">Cancelado</option>
                                        <option value="opCancFaturado">Cancelado Faturado</option>
                                        <option value="opCancParcial">Cancelamento Parcial</option>
                                        <option value="opFatImp">Cancelamento de N.F.</option>
                                        <option value="opExpConf">Exp. Conf. Nota</option>
                                        <option value="opFechaFila">Fecha Fila</option>
                                        <option value="opConsumos">Consumos</option>
                                        <option value="opConferencia">Conferencia</option>
                                        <option value="opEmail">Email</option>
                                        <option value="opLoteTinturaria">Lote Tinturaria</option>
                                        <option value="opComFinBloq">Liber. Comerc. / Bloq. Finan</option>
                                        <option value="opBaixaTinturaria">Baixa Tinturaria</option>
                                        <option value="opBaixaRolo">Baixa por Rolo</option>
                                        <option value="opFinalizaMovOF">Finaliza Mov. OF</option>
                                        <option value="opImpEtiqueta">Impressão Etiqueta</option>
                                        <option value="opImpMinuta">Impressão Minuta</option>
                                        <option value="opTransDepPed">Trans. Dep. Pedido</option>
                                        <option value="opIncPedido">Inclusão Pedido</option>
                                    </select>
                                </div>
                            </div>
                        </div>
                        <div class="modal-footer">
                            <div class="row">
                                <button class="btn btn-primary btn-sisp" id="btnLimparFiltros" style="background-color: #B22222; border-color: #B22222"><span class="fas fa-trash"></span> Limpar Filtros</button>     
                                <button class="btn btn-primary btn-sisp" id="btnConsultar"><span class="fas fa-search"></span> Consultar</button>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <?php
    include_once('../../../modais.php');
    ?>
    <aside class="control-sidebar control-sidebar-dark">
    </aside>
    </div>
    <script src="plugins/jquery/jquery.min.js?versao=3.248.22.2"></script>
    <script type="text/javascript" src="dist/js/jquery.dataTables.js?versao=3.248.22.2"></script>
    <script type="text/javascript" src="dist/js/dataTables.bootstrap4.min.js?versao=3.248.22.2"></script>
    <script src="plugins/jquery-ui/jquery-ui.min.js?versao=3.248.22.2"></script>
    <script>
        $.widget.bridge('uibutton', $.ui.button);
    </script>
    <script src="plugins/bootstrap/js/bootstrap.bundle.min.js?versao=3.248.22.2"></script>
    <script src="dist/js/adminlte.min.js?versao=3.248.22.2"></script>
    <script src="dist/js/sisplan.js?versao=3.248.22.2"></script>
    <script src="utils/funcoes.js?versao=3.248.22.2"></script>
    <script src="utils/cookies.js?versao=3.248.22.2"></script>
    <script src="dist/js/requisicoes.js?versao=3.248.22.2"></script>
    <script src="dist/js/loadingoverlay.min.js?versao=3.248.22.2"></script>
    <script src="dist/js/driver.min.js?versao=3.248.22.2"></script>
    <script src="plugins/toastr/toastr.min.js?versao=3.248.22.2"></script>

    <script type="text/javascript" src="dist/js/sum().js?versao=3.248.22.2"></script>
    <script type="text/javascript" src="config.js?versao=3.248.22.2"></script>
    <script src="plugins/select2/js/select2.full.min.js?versao=3.248.22.2"></script>
    <script>
        $(document).ready(async function() {
            if (getCookie('usuario') == "") {
                window.location.href = `${BASE_URI}/login`;
                return;
            }

            let usuario = getCookie('usuario');
            let empresa = getCookie('empresa');

            ipInterno = IP_INTERNO;
            ipExterno = IP_EXTERNO;
            basicAuth = BASIC_AUTH;

            const temAcesso = await temAcessoTela('STATUSPED');
            if (!temAcesso.resultado) {
                toastrAcesso(temAcesso, BASE_URI);
                return;
            }

            sArquivo = `${BASE_URI}/pages/statusped/acesso_statusped/acesso_statusped.js?versao=3.248.22.2`;
            insereJavaScriptPagina(sArquivo);

        });
    </script>
</body>

</html>