<?php include_once('../../../config.php') ?>

<!DOCTYPE html>
<html>

<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <title>Sisplan Web | Transferência de Depósito de Material</title>
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="dist/css/adminlte.min.css?versao=3.248.22.2">
  <link rel="stylesheet" href="plugins/fontawesome-free/css/all.min.css?versao=3.248.22.2">
  <link href='https://fonts.googleapis.com/css?family=Roboto:400,300,500,600,700,400italic' rel='stylesheet' type='text/css'>
  <link rel="stylesheet" type="text/css" href="dist/css/dataTables.bootstrap4.min.css?versao=3.248.22.2" />
  <link href='dist/css/bootstrap.min.css?versao=3.248.22.2'>
  <link rel="stylesheet" href="dist/css/custom.css?versao=3.248.22.2">
  <link rel="stylesheet" href="dist/css/sisplan.css?versao=3.248.22.2">
  <link rel="stylesheet" type="text/css" href="plugins/datatables-keytable/css/keyTable.bootstrap4.min.css?versao=3.248.22.2">
  <link rel="stylesheet" type="text/css" href="dist/css/responsive.bootstrap.min.css?versao=3.248.22.2">
  <link rel="shortcut icon" href="favicon.ico">
  <link rel="stylesheet" href="dist/css/cadastro.css?versao=3.248.22.2">
  <link rel="stylesheet" href="plugins/icheck-bootstrap/icheck-bootstrap.min.css?versao=3.248.22.2">
  <!-- Toastr -->
  <link rel="stylesheet" href="plugins/toastr/toastr.min.css?versao=3.248.22.2">
  <link rel="stylesheet" type="text/css" href="dist/css/driver.min.css?versao=3.248.22.2" />
  <link rel="stylesheet" href="dist/css/animate.min.css?versao=3.248.22.2">
  <link rel="stylesheet" href="dist/css/jquery-ui.css?versao=3.248.22.2">
  <!-- Google Font: Source Sans Pro -->
  <link href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700" rel="stylesheet">
  <style>
    #progressbar li {
      list-style-type: none;
      font-size: 12px;
      width: 50%;
      float: left;
      position: relative
    }

    :root {
      --animate-duration: 800ms;
      --animate-delay: 120ms;
    }

    .checkOpcoes {
      font-size: 120%;
      margin-top: 14px;
    }

    .checkTop {
      margin-left: 2%;
      margin-top: 2%;
    }

    .checkStyle {
      margin-top: 2%;
      padding: 1%;
      border: solid #e0e4e6;
      border-radius: 4px;
      border-width: 2px;
      margin-left: 0%;
    }

    .checkboxMovimento {
      border: solid #e0e4e6;
      border-radius: 4px;
      border-width: 2px;
      padding: .8%;
    }

    .border-Field .textoBorda {
      font-size: 1.75em !important;
      text-align: left !important;
      width: auto;
      padding: 0;
      border-bottom: none;
      font-weight: bold;
    }

    .border-Field {
      padding: 0 1.0em 0 1.0em !important;
      margin: 0 0 0 0 !important;
      -webkit-box-shadow: 0px 0px 0px 0px #000;
      box-shadow: 0px 0px 0px 0px #000;
      border-radius: 3px !important;
    }

    .border-FieldNovoItem .textoBordaNovoItem {
      font-size: 1.75em !important;
      text-align: left !important;
      width: auto;
      padding: 0;
      border-bottom: none;
      font-weight: bold;
    }

    .border-FieldNovoItem {
      padding: 0 1.0em 0 1.0em !important;
      margin: 0 0 0 0 !important;
      -webkit-box-shadow: 0px 0px 0px 0px #000;
      box-shadow: 0px 0px 0px 0px #000;
      border-radius: 0 !important;
    }

    @media (min-width: 1200px) {

      .border-FieldNovoItem {
        border-left: 1px solid var(--font-color) !important;
      }
    }
  </style>
</head>

<body class="hold-transition sidebar-mini layout-fixed">
  <div class="wrapper">


    <div id="myModal" class="modal" tabindex="-1" role="dialog">
      <div class="modal-dialog" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h5 id="myModalLabel" class="modal-title"></h5>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
          <div class="modal-body">
            <p id="myModalText"></p>
          </div>
          <div class="modal-footer">
            <button id="btnYes" type="button" class="btn btn-primary">Sim</button>
            <button id="btnNo" type="button" class="btn btn-secondary" data-dismiss="modal">Não</button>
          </div>
        </div>
      </div>
    </div>

    <div class="content-wrapper">
      <section class="content">
        <div class="content-header">
          <div class="container-fluid">
            <div class="row mb-2">
              <div class="col-sm-6 flex">
              </div>
              <div class="col-sm-6">
                <!-- <ol class="breadcrumb float-sm-right">
                  
                  <li class="breadcrumb-item active">Movimentações</li>
                  <li class="breadcrumb-item active">Material</li>
                  <li class="breadcrumb-item active">Transferência de Depósito de Material</li>
                </ol> -->
              </div><!-- /.col -->
            </div><!-- /.row -->
          </div>
          <div class="row justify-content-center mt-0">
            <div class="col-10 text-center p-0 mt-3 mb-2">
              <div class="card px-0 pt-4 pb-0 mt-3 mb-3">
                <div class="card-header text-center flex" style="border: none!important;box-shadow:none!important;">
                  <h2>Transferência de Depósito de Material
                    <button type="button" class="btn btn-info btn-sm ml-2" title="Tutorial" style="color: white;" id="tutorial">
                      <i class="fas fa-question-circle"></i>
                    </button>
                  </h2>
                </div>
                <div class="row">
                  <div class="col-md-12 mx-0">
                    <form id="msform">
                      <!-- progressbar -->
                      <ul id="progressbar">
                        <li class="active" id="account"><strong>Configurações</strong></li>
                        <li id="personal"><strong>Itens</strong></li>
                        <!-- <li id="confirm"><strong>Finalização</strong></li> -->
                      </ul> <!-- fieldsets -->
                      <p>Preencha os dados e clique em avançar para realizar a transferência de depósito de material</p>
                      <fieldset>
                        <div class="form-card" id="formcard1">
                          <h2 class="fs-title">Configurações</h2>
                          <div class="row">
                            <div class="col-lg-2 col-sm-3 col-12 form-group">
                              <label data-error="wrong" class="labelGeral" data-success="right" for="txtNumero">Número Transf. *</label>
                              <input type="text" class="input-default focus form-control" id="txtNumero" required aria-describedby="codError" name="txtNumero" class="form-control" placeholder="Número Transferência">
                              <input type="text" class="input-default focus form-control d-none" id="txtLancamento" required name="txtLancamento">
                            </div>
                            <div class="col-lg-12 col-12 form-group">
                              <label data-error="wrong" class="labelGeral" data-success="right" for="txtFuncionario">Funcionário *</label>
                              <div class="input-group">
                                <input type="text" class="input-default focus form-control validate" required id="txtFuncionario" name="txtFuncionario" placeholder="Funcionário">
                                <div class="input-group-append">
                                  <button class="btn bg-danger" id="btnFuncionario" name="btnFuncionario" data-button="absolute" type="button">
                                    <i class="m-0 p-0 fas fa-search"></i>
                                  </button>
                                  <button class="btn bg-danger" id="btnLimparFuncionario" type="button">
                                    <i class="m-0 p-0 fas fa-trash"></i>
                                  </button>
                                </div>
                              </div>
                            </div>
                            <div class="col-lg-6 col-12 form-group">
                              <label data-error="wrong" class="labelGeral" data-success="right" for="txtDepOrigem">Depósito Origem *</label>
                              <div class="input-group">
                                <input type="text" class="input-default focus form-control validate" required id="txtDepOrigem" name="txtDepOrigem" placeholder="Depósito Origem">
                                <div class="input-group-append">
                                  <button class="btn bg-danger" id="btnDepOrigem" name="btnDepOrigem" data-button="absolute" type="button">
                                    <i class="m-0 p-0 fas fa-search"></i>
                                  </button>
                                  <button class="btn bg-danger" id="btnLimparDepositoOrigem" type="button">
                                    <i class="m-0 p-0 fas fa-trash"></i>
                                  </button>
                                </div>
                              </div>
                            </div>
                            <div class="col-lg-6 col-12 form-group">
                              <label data-error="wrong" class="labelGeral" data-success="right" for="txtDepOrigem">Depósito Destino *</label>
                              <div class="input-group">
                                <input type="text" class="input-default focus form-control validate" required id="txtDepDestino" name="txtDepDestino" placeholder="Depósito Destino">
                                <div class="input-group-append">
                                  <button class="btn bg-danger" id="btnDepDestino" name="btnDepDestino" data-button="absolute" type="button">
                                    <i class="m-0 p-0 fas fa-search"></i>
                                  </button>
                                  <button class="btn bg-danger" id="btnLimparDepositoDestino" type="button">
                                    <i class="m-0 p-0 fas fa-trash"></i>
                                  </button>
                                </div>
                              </div>
                            </div>
                            <div class="col-lg-6 col-12 form-group">
                              <label data-error="wrong" class="labelGeral" data-success="right" for="txtLocalOrigem">Local Origem</label>
                              <div class="input-group">
                                <input type="text" class="input-default focus form-control validate" id="txtLocalOrigem" name="txtLocalOrigem" placeholder="Local Origem">
                                <div class="input-group-append">
                                  <button class="btn bg-danger" id="btnLocalOrigem" name="btnLocalOrigem" data-button="absolute" type="button">
                                    <i class="m-0 p-0 fas fa-search"></i>
                                  </button>
                                  <button class="btn bg-danger" id="btnLimparLocalositoOrigem" type="button">
                                    <i class="m-0 p-0 fas fa-trash"></i>
                                  </button>
                                </div>
                              </div>
                            </div>
                            <div class="col-lg-6 col-12 form-group">
                              <label data-error="wrong" class="labelGeral" data-success="right" for="txtLocalOrigem">Local Destino</label>
                              <div class="input-group">
                                <input type="text" class="input-default focus form-control validate" id="txtLocalDestino" name="txtLocalDestino" placeholder="Local Destino">
                                <div class="input-group-append">
                                  <button class="btn bg-danger" id="btnLocalDestino" name="btnLocalDestino" data-button="absolute" type="button">
                                    <i class="m-0 p-0 fas fa-search"></i>
                                  </button>
                                  <button class="btn bg-danger" id="btnLimparLocalDestino" type="button">
                                    <i class="m-0 p-0 fas fa-trash"></i>
                                  </button>
                                </div>
                              </div>
                            </div>
                            <div class="col-lg-6 col-12 form-group">
                              <label data-error="wrong" class="labelGeral" data-success="right" for="txtTipoMov">Tipo Movimento *</label>
                              <div class="input-group">
                                <input type="text" class="input-default focus form-control validate" required id="txtTipoMov" name="txtTipoMov" placeholder="Tipo Movimento">
                                <div class="input-group-append">
                                  <button class="btn bg-danger" id="btnTipoMov" name="btnTipoMov" data-button="absolute" type="button">
                                    <i class="m-0 p-0 fas fa-search"></i>
                                  </button>
                                  <button class="btn bg-danger" id="btnLimparTipoMov" type="button">
                                    <i class="m-0 p-0 fas fa-trash"></i>
                                  </button>
                                </div>
                              </div>
                            </div>
                          </div>
                        </div>
                        <input type="button" name="next" class="btn-sisp next action-button" value="Avançar" id="avancar1" />
                      </fieldset>
                      <fieldset>
                        <div class="form-card">
                          <!-- <h2 class="fs-title">Itens</h2> -->
                          <div class="form-row col-xl-12 col-12 d-flex flex-wrap" id="configuracao">
                            <div class="row col-xl-12 col-12" id="divItens">
                              <div class="form-group col-xl-12 col-12 d-flex">
                                <fieldset class="form border-Field mb-0 pb-0" id="teste">
                                  <legend class="textoBorda mb-0 pb-0">Itens</legend>
                                  <div class="form-row">
                                    <div class="form-group col-xl-4 col-12" id="divMaterial">
                                      <label data-error="wrong" class="labelGeral" data-success="right" for="txtMaterial">Material:</label>
                                      <input type="text" class="input-default focus form-control" id="txtMaterial" name="txtMaterial" placeholder="Material">
                                      <div class="input-group">
                                        <div class="input-group-append">
                                          <button class="btn bg-danger d-none" id="btnMaterial" name="btnMaterial" data-button="absolute" type="button">
                                            <i class="m-0 p-0 fas fa-search"></i>
                                          </button>
                                        </div>
                                      </div>
                                    </div>
                                    <div class="form-group col-xl-4 col-12" id="divCor">
                                      <label data-error="wrong" class="labelGeral" data-success="right" for="txtCor">Cor:</label>
                                      <div class="input-group">
                                        <input type="text" class="input-default focus form-control" disabled id="txtCor" name="txtCor" placeholder="Cor">
                                        <div class="input-group-append">
                                          <button class="btn bg-danger d-none" id="btnCor" name="btnCor" data-button="absolute" type="button">
                                            <i class="m-0 p-0 fas fa-search"></i>
                                          </button>
                                        </div>
                                      </div>
                                    </div>
                                    <div class="form-group col-xl-2 col-6" id="divLote">
                                      <label data-error="wrong" class="labelGeral" data-success="right" for="txtLote">Lote:</label>
                                      <div class="input-group">
                                        <input type="text" class="input-default focus form-control" disabled id="txtLote" name="txtLote" placeholder="Lote">
                                        <div class="input-group-append">
                                          <button class="btn bg-danger d-none" id="btnLote" name="btnLote" data-button="absolute" type="button">
                                            <i class="m-0 p-0 fas fa-search"></i>
                                          </button>
                                        </div>
                                      </div>
                                    </div>
                                    <div class="form-group col-xl-2 col-6" id="divQualidade">
                                      <label data-error="wrong" class="labelGeral" data-success="right" for="txtQualidade">Qualidade:</label>
                                      <div class="input-group">
                                        <input type="text" class="input-default focus form-control" disabled id="txtQualidade" name="txtQualidade" placeholder="Qualidade">
                                        <div class="input-group-append">
                                          <button class="btn bg-danger d-none" id="btnQualidade" name="btnQualidade" data-button="absolute" type="button">
                                            <i class="m-0 p-0 fas fa-search"></i>
                                          </button>
                                        </div>
                                      </div>
                                    </div>
                                    <div class="form-group col-xl-2 col-4 d-flex align-items-end justify-content-start" id="divBtnAdicionar">
                                      <button type="button" id="btn-adicionar" disabled class="btn btn-danger btn-sisp focus">Adicionar</button>
                                    </div>
                                    <div class="form-group col-xl-10 col-8 d-flex align-items-end" id="divCbNovoItem" style="margin-top: 0.75rem !important; margin-bottom: 0.75rem !important;">
                                      <div class="icheck-primary" style="margin-top: 0.75rem !important; margin-bottom: 0.75rem !important;">
                                        <input type="checkbox" class="form-check-input" name="cbNovoItem" id="cbNovoItem">
                                        <label class="form-check-label" for="cbNovoItem">Novo Item</label>
                                      </div>
                                    </div>
                                    <div class="form-group col-xl-4 col-9" id="divBarra">
                                      <label data-error="wrong" class="labelGeral" data-success="right" id="labelBarras" for="txtBarra">Barra:</label>
                                      <div class="input-group">
                                        <input type="text" class="input-default form-control" id="txtBarra" name="txtBarra" placeholder="Barra">
                                        <div class="input-group-append">
                                          <button class="btn bg-danger" id="btnMenosOuMais" data-button="absolute" type="button" data-estorno="false">
                                            <i class="m-0 p-0 fas fa-plus"></i>
                                          </button>
                                        </div>
                                      </div>
                                    </div>
                                    <div class="form-group col-xl-1 col-3" id="divQtde">
                                      <div class="input-group">
                                        <label data-error="wrong" class="labelGeral" data-success="right" for="txtQuantidade">Qtde:</label>
                                        <div class="input-group">
                                          <input type="text" class="input-default focus form-control text-right" id="txtQuantidade" name="txtQuantidade" placeholder="0">
                                        </div>
                                      </div>
                                    </div>
                                  </div>
                                </fieldset>
                              </div>
                            </div>
                            <div class="row col-xl-6 col-12">
                              <div class="form-group col-xl-12 col-12 d-none" id="divNovoItem">
                                <fieldset class="form border-FieldNovoItem mb-0 pb-0">
                                  <legend class="textoBordaNovoItem mb-0 pb-0">Novo Item</legend>
                                  <div class="form-row">
                                    <div class="form-group col-xl-12 col-12">
                                      <label for="txtCodigoNovoItem" class="labelGeral">Código:</label>
                                      <div class="input-group">
                                        <input type="text" class="input-default focus form-control" id="txtCodigoNovoItem" name="txtCodigoNovoItem" placeholder="Código">
                                        <div class="input-group-append">
                                          <button class="btn bg-danger" id="btnCodigoNovoItem" name="btnCodigoNovoItem" data-button="absolute" type="button">
                                            <i class="m-0 p-0 fas fa-search"></i>
                                          </button>
                                          <button class="btn bg-danger" id="btnLimpaCodigoNovoItem" name="btnLimpaCodigoNovoItem" type="button">
                                            <i class="m-0 p-0 fas fa-trash"></i>
                                          </button>
                                        </div>
                                      </div>
                                    </div>
                                    <div class="form-group col-xl-12 col-12">
                                      <label for="txtCorNovoItem">Cor:</label>
                                      <div class="input-group">
                                        <input type="text" class="input-default focus form-control compCorNovoItem" id="txtCorNovoItem" disabled name="txtCorNovoItem" placeholder="Cor">
                                        <div class="input-group-append">
                                          <button class="btn bg-danger compCorNovoItem" id="btnCorNovoItem" disabled name="btnCorNovoItem" data-button="absolute" type="button">
                                            <i class="m-0 p-0 fas fa-search"></i>
                                          </button>
                                          <button class="btn bg-danger compCorNovoItem" id="btnLimpaCorNovoItem" disabled name="btnLimpaCorNovoItem" type="button">
                                            <i class="m-0 p-0 fas fa-trash"></i>
                                          </button>
                                        </div>
                                      </div>
                                    </div>
                                    <div class="form-group col-xl-4 col-12">
                                      <label for="txtLoteNovoItem">Lote:</label>
                                      <div class="input-group">
                                        <input type="text" class="input-default focus form-control" id="txtLoteNovoItem" name="txtLoteNovoItem" placeholder="Lote">
                                      </div>
                                    </div>
                                    <div class="form-group col-xl-8 col-12">
                                      <label for="txtQualidadeNovoItem">Qualidade:</label>
                                      <div class="input-group">
                                        <input type="text" class="input-default focus form-control" id="txtQualidadeNovoItem" name="txtQualidadeNovoItem" placeholder="Qualidade">
                                        <div class="input-group-append">
                                          <button class="btn bg-danger" id="btnQualidadeNovoItem" name="btnQualidadeNovoItem" data-button="absolute" type="button">
                                            <i class="m-0 p-0 fas fa-search"></i>
                                          </button>
                                          <button class="btn bg-danger" id="btnLimpaQualidadeNovoItem" name="btnLimpaQualidadeNovoItem" type="button">
                                            <i class="m-0 p-0 fas fa-trash"></i>
                                          </button>
                                        </div>
                                      </div>
                                    </div>
                                  </div>
                                </fieldset>
                              </div>
                            </div>
                          </div>
                          <div class="col-lg-12 mt-2 table-responsive">
                            <table id="tabelaItens" cellspacing="0" class="table table-sm table-select table-hover animate__animated animate__fadeIn" width="100%">
                              <thead>
                                <tr>
                                  <th>Código</th>
                                  <th>Descrição</th>
                                  <th>Cor</th>
                                  <th>Desc. Cor</th>
                                  <th>Estoque</th>
                                  <th>Qtde</th>
                                  <th>Lote</th>
                                  <th>Qual</th>
                                  <th>Largura</th>
                                  <th>Gramatura</th>
                                </tr>
                              </thead>
                              <tbody></tbody>
                            </table>
                          </div>
                          <h2 class="fs-title itens_gravados d-none">Itens Gravados</h2>
                          <div class="row itens_gravados d-none">
                            <div class="row" id="divCheckTodos">
                              <div class="col-sm-12 icheck-primary d-inline pb-2 ml-2 justify-content-between" style="margin-right: 15px; height:30px; margin-left: 15px !important;">
                                <input class="form-check-input" type="checkbox" id="check_todos" value="option1">
                                <label class="form-check-label" for="check_todos">Selecionar Todos</label>
                              </div>
                            </div>
                            <div class="col-sm-12 table-responsive">
                              <table id="tabelaItensGravados" cellspacing="0" class="table table-sm table-select table-hover animate__animated animate__fadeIn" width="100%">
                                <thead>
                                  <tr>
                                    <th>Sel</th>
                                    <th>Código</th>
                                    <th>Descrição</th>
                                    <th>Cor</th>
                                    <th>Desc. Cor</th>
                                    <th>Qtde</th>
                                    <th>Lote</th>
                                    <th>Qual</th>
                                    <th>Lancamento</th>
                                    <th>Dt. Mvto</th>
                                  </tr>
                                </thead>
                                <tbody></tbody>
                              </table>
                            </div>
                          </div>
                        </div>
                        <input type="button" name="sair" class="btn-sisp action-button" value="Sair" id="btnSair">
                        <input type="button" name="imprimir" class="btn-sisp action-button" value="Imprimir" id="btnImprimir">
                        <input type="button" name="gravar" class="btn-sisp action-button" value="Gravar" id="btnGravar">
                        <input type="button" name="btnEstornar" class="btn-sisp action-button d-none" value="Estornar" id="btnEstornar" />
                        <input type="button" name="previous" class="btn-sisp previous action-button-previous" value="Voltar" id="voltar3" />
                        <div class="col-md-2" style="margin-top: 15px;">
                          <div class="flex">
                            <span class="info-box-icon"><i class="fas fa-box-open" style="font-size: 25px; margin-right: 5px; margin-top: 5px; color: var(--font-color);"></i></span>
                            <div class="info-box-content ">
                              <input type="number" name="txtQuantidadeBipada" id="txtQuantidadeBipada" class="form-control" data-bs-toggle="tooltip" title="Quantidade total de peças Bipadas" readonly>
                            </div>
                          </div>
                        </div>
                      </fieldset>
                    </form>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </section>
    </div>
    <div id="modalImportar" class="modal" tabindex="-1" role="dialog">
      <div class="modal-dialog modal-lg" role="document">
        <div class="modal-content" id="modalBody">
          <div class="modal-header">
            <h4 class="modal-title">Importação
            </h4>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
          <div class="modal-body">
            <div class="row">
              <div class="col-sm-12 col-md-12" style="margin-left: -0.7%; margin-right:0.7%;padding-right:0;">
                <div class="col-sm-12 col-md-12" style="padding-left:5px; padding-bottom: 5px;">
                  <label class="labelGeral" style="font-size: 116%;" for="divMovimento" data-error="wrong" data-success="right">Movimentação</label>
                  <div id="divMovimento" class="checkboxMovimento" style="margin-top: -.5%">
                    <label class="container">
                      <input type="radio" checked="checked" id="radioEntrada" name="movimento">
                      <span class="checkmark"></span>
                        Entrada</label>
                    <label class="container">
                      <input type="radio" id="radioSaida" name="movimento">
                      <span class="checkmark"></span>
                        Saída</label>
                  </div>
                </div>
              </div>
              <div class="col-md-12 col-sm-12 col-12">
                <label style="margin-bottom: .1rem;" data-error="wrong" data-success="right" id="labelDocumento" for="txtDocumento">Documento: </label>
                <div class="relative" style="margin-top: 5px;">
                  <div class="input-group">
                    <input type="text" class="input-default focus form-control" id="txtDocumento" class="form-control" placeholder="Documento">
                    <div class="input-group-append">
                      <button class="btn bg-danger" id="btnDocumento" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                      <button class="btn bg-danger" id="btnLimpaDocumento" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
          <div class="modal-footer">
            <div class="row">
              <button id="btnConfirmarImportacao" class="btn btn-danger btn-sisp" type="button">Confirmar</button>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>

  <?php
  include_once('../../../modais.php');
  ?>

  <!-- Control Sidebar -->
  <aside class="control-sidebar control-sidebar-dark">
    <!-- Control sidebar content goes here -->
  </aside>
  <!-- /.control-sidebar -->
  </div>

  <!-- jQuery -->
  <script src="plugins/jquery/jquery.min.js?versao=3.248.22.2"></script>
  <script src="plugins/jquery-ui/jquery-ui.min.js?versao=3.248.22.2"></script>
  <script type="text/javascript" src="dist/js/jquery.dataTables.js?versao=3.248.22.2"></script>
  <script type="text/javascript" src="dist/js/dataTables.bootstrap4.min.js?versao=3.248.22.2"></script>
  <!-- SweetAlert2 -->
  <script src="plugins/sweetalert2/sweetalert2.min.js?versao=3.248.22.2"></script>
  <script src="plugins/toastr/toastr.min.js?versao=3.248.22.2"></script>

  <!-- Resolve conflict in jQuery UI tooltip with Bootstrap tooltip -->
  <script>
    $.widget.bridge('uibutton', $.ui.button);
  </script>

  <script src="plugins/bootstrap/js/bootstrap.bundle.min.js?versao=3.248.22.2"></script>
  <script src="dist/js/adminlte.min.js?versao=3.248.22.2"></script>
  <script src="dist/js/requisicoes.js?versao=3.248.22.2"></script>
  <script src="dist/js/cliente/entidade.js?versao=3.248.22.2"></script>
  <script src="dist/js/loadingoverlay.min.js?versao=3.248.22.2"></script>
  <script src="dist/js/valida_cpf_cnpj.js?versao=3.248.22.2"></script>
  <script src="plugins/jquery-validation/jquery.validate.min.js?versao=3.248.22.2"></script>
  <script src="dist/js/sisplan.js?versao=3.248.22.2"></script>
  <script src="utils/funcoes.js?versao=3.248.22.2"></script>
  <script src="utils/cookies.js?versao=3.248.22.2"></script>
  <script src="dist/js/driver.min.js?versao=3.248.22.2"></script>
  <script src="dist/js/jquery.maskMoney.min.js?versao=3.248.22.2"></script>
  <script src="dist/js/jquery.mask.min.js?versao=3.248.22.2"></script>
  <script src="dist/js/dataTables.keyTable2.js?versao=3.248.22.2"></script>
  <script type="text/javascript" src="config.js?versao=3.248.22.2"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-scrollTo/2.1.3/jquery.scrollTo.min.js"></script>
  <script>
    $(document).ready(async function() {
      if (getCookie('usuario') == "") {
        window.location.href = `${BASE_URI}/login`;
        return;
      }

      let usuario = getCookie('usuario');
      let empresa = getCookie('empresa');

      ipInterno = IP_INTERNO;
      ipExterno = IP_EXTERNO;
      basicAuth = BASIC_AUTH;

      const temAcesso = await temAcessoTela('TRANSFERENCIA_DEPOSITO_MAT');
      if (!temAcesso.resultado) {
        toastrAcesso(temAcesso, BASE_URI);
        return;
      }

      sArquivo = `${BASE_URI}/pages/material/mat_transferencia_deposito/mat_transferencia_deposito.js?versao=3.248.22.2`;
      insereJavaScriptPagina(sArquivo);

      // const nomeTela = ('<?php echo basename(__FILE__) ?>').replace('.php', '');
      // habilitaCamposObrigatoriosTela(nomeTela);
    });
  </script>
</body>

</html>