<?php include_once('../../../config.php') ?>

<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>Sisplan Web | Mensagem Whatsapp</title>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="plugins/fontawesome-free/css/all.min.css?versao=3.248.22.2">
    <link rel="stylesheet" href="dist/css/adminlte.min.css?versao=3.248.22.2">
    <link href='https://fonts.googleapis.com/css?family=Roboto:400,300,500,600,700,400italic' rel='stylesheet' type='text/css'>
    <link rel="stylesheet" href="dist/css/custom.css?versao=3.248.22.2">
    <link rel="stylesheet" href="dist/css/sisplan.css?versao=3.248.22.2">
    <link rel="stylesheet" type="text/css" href="dist/css/dataTables.bootstrap4.min.css?versao=3.248.22.2" />
    <link rel="shortcut icon" href="favicon.ico">
    <link rel="stylesheet" href="plugins/toastr/toastr.min.css?versao=3.248.22.2">
    <link rel="stylesheet" type="text/css" href="dist/css/driver.min.css?versao=3.248.22.2" />
    <link rel="stylesheet" href="dist/css/jquery-ui.css?versao=3.248.22.2">
</head>

<body class="hold-transition sidebar-mini layout-fixed">
    <div class="wrapper">
        <?php
        ;
        ?>
        <div class="content-wrapper">
            <div class="content-header">
                <div class="container-fluid">
                    <div class="row mb-2">
                        <div class="col-sm-6 flex">
                            <h1 class="m-0 text-dark">Mensagem WhatsApp</h1>
                            <!-- <button type="button" class="btn btn-info btn-sm ml-2" title="Tutorial" style="color: white;" id="tutorial">
                <i class="fas fa-question-circle"></i></button> -->
                        </div>
                        <div class="col-sm-6">
 
                        </div>
                    </div>
                </div>
                <div class="container-fluid">
                    <div class="row card">
                        <div class="col-sm-12 mt-3">
                            <button class="btn btn-danger btn-sisp" id="btnNovaMensagem"><span class="fas fa-plus"></span> Incluir</button>
                        </div>
                        <div class="col-sm-12 table-responsive card-body">
                            <h5>Lista de Cadastros</h5>
                            <table id="tabelaCadastros" class="table table-sm table-select table-hover" width="100%">
                                <thead>
                                    <tr>
                                        <th class="th-sm">ID
                                        </th>
                                        <th class="th-sm">TELA
                                        </th>
                                        <th class="th-sm" style="width: 85%">MENSAGEM
                                        </th>
                                    </tr>
                                </thead>
                                <tbody>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <?php
    include_once('../../../modais.php');
    ?>
    <aside class="control-sidebar control-sidebar-dark">
    </aside>
    </div>
    <script src="plugins/jquery/jquery.min.js?versao=3.248.22.2"></script>
    <script type="text/javascript" src="dist/js/jquery.dataTables.js?versao=3.248.22.2"></script>
    <script type="text/javascript" src="dist/js/dataTables.bootstrap4.min.js?versao=3.248.22.2"></script>
    <script src="plugins/jquery-ui/jquery-ui.min.js?versao=3.248.22.2"></script>
    <script>
        $.widget.bridge('uibutton', $.ui.button);
    </script>
    <script src="plugins/bootstrap/js/bootstrap.bundle.min.js?versao=3.248.22.2"></script>
    <script src="dist/js/adminlte.min.js?versao=3.248.22.2"></script>
    <script src="dist/js/sisplan.js?versao=3.248.22.2"></script>
    <script src="utils/funcoes.js?versao=3.248.22.2"></script>
    <script src="utils/cookies.js?versao=3.248.22.2"></script>
    <script src="dist/js/requisicoes.js?versao=3.248.22.2"></script>
    <script src="dist/js/loadingoverlay.min.js?versao=3.248.22.2"></script>
    <script src="dist/js/driver.min.js?versao=3.248.22.2"></script>
    <script src="plugins/toastr/toastr.min.js?versao=3.248.22.2"></script>
    <script type="text/javascript" src="dist/js/sum().js?versao=3.248.22.2"></script>
    <script type="text/javascript" src="config.js?versao=3.248.22.2"></script>
    <script>
        $(document).ready(async function() {
            if (getCookie('usuario') == "") {
                window.location.href = `${BASE_URI}/login`;
                return;
            }

            let usuario = getCookie('usuario');
            let empresa = getCookie('empresa');

            ipInterno = IP_INTERNO;
            ipExterno = IP_EXTERNO;
            basicAuth = BASIC_AUTH;

            const temAcesso = await temAcessoTela('MSG_WHATSAPP');
            if (!temAcesso.resultado) {
                toastrAcesso(temAcesso, BASE_URI);
                return;
            }

            sArquivo = `${BASE_URI}/pages/msg_whatsapp/acesso_msg_whatsapp/acesso_msg_whatsapp.js?versao=3.248.22.2`;
            insereJavaScriptPagina(sArquivo);

        });
    </script>
</body>

</html>