<?php include_once('../../../config.php') ?>

<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>Sisplan Web | Cadastro de Alteração do Status de Pedido</title>
    <!-- Tell the browser to be responsive to screen width -->
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <!-- Theme style -->
    <link rel="stylesheet" href="../dist/css/adminlte.min.css?versao=3.248.22.2">
    <!-- Font Awesome -->
    <link rel="stylesheet" href="../plugins/fontawesome-free/css/all.min.css?versao=3.248.22.2">
    <!-- Google Font: Source Sans Pro -->
    <link href='https://fonts.googleapis.com/css?family=Roboto:400,300,500,600,700,400italic' rel='stylesheet' type='text/css'>

    <link rel="stylesheet" type="text/css" href="../dist/css/dataTables.bootstrap4.min.css?versao=3.248.22.2" />

    <link href='../dist/css/bootstrap.min.css?versao=3.248.22.2'>
    <link rel="stylesheet" href="../dist/css/custom.css?versao=3.248.22.2">
    <link rel="stylesheet" href="../dist/css/sisplan.css?versao=3.248.22.2">
    <link rel="stylesheet" type="text/css" href="../plugins/datatables-keytable/css/keyTable.bootstrap4.min.css?versao=3.248.22.2">
    <link rel="stylesheet" type="text/css" href="../dist/css/responsive.bootstrap.min.css?versao=3.248.22.2">
    <link rel="shortcut icon" href="../favicon.ico">
    <link rel="stylesheet" href="../dist/css/cadastro.css?versao=3.248.22.2">

    <!-- Toastr -->
    <link rel="stylesheet" href="../plugins/toastr/toastr.min.css?versao=3.248.22.2">
    <link rel="stylesheet" type="text/css" href="../dist/css/driver.min.css?versao=3.248.22.2" />
    <link rel="stylesheet" href="../dist/css/jquery-ui.css?versao=3.248.22.2">
    <!-- Google Font: Source Sans Pro -->
    <link href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700" rel="stylesheet">
    <link rel="stylesheet" href="../plugins/select2/css/select2.min.css?versao=3.248.22.2">
    <link rel="stylesheet" href="../plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css?versao=3.248.22.2">
    <link rel="stylesheet" href="../dist/css/PesquisaVariosSelect2.css?versao=3.248.22.2">
    <style>
        #progressbar li {
            list-style-type: none;
            font-size: 12px;
            width: 100%;
            float: left;
            position: relative
        }

        .labelGeral {
            margin-top: 7px;
            margin-bottom: 3px;
        }

        .border-Field .textoBorda {
            font-size: 1.0em !important;
            text-align: left !important;
            width: auto;
            padding: 0 10px;
            border-bottom: none;
        }

        .border-Field {
            border: 1.0px solid var(--font-color) !important;
            padding: 0 1.0em 0.3em 1.0em !important;
            margin: 0 0 1.0em 0 !important;
            -webkit-box-shadow: 0px 0px 0px 0px #000;
            box-shadow: 0px 0px 0px 0px #000;
        }
    </style>
</head>

<body class="hold-transition sidebar-mini layout-fixed">

    <div class="wrapper">

        <div id="myModal" class="modal" tabindex="-1" role="dialog">
            <div class="modal-dialog" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 id="myModalLabel" class="modal-title"></h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <p id="myModalText"></p>
                    </div>
                    <div class="modal-footer">
                        <button id="btnYes" type="button" class="btn btn-primary">Sim</button>
                        <button id="btnNo" type="button" class="btn btn-secondary" data-dismiss="modal">Não</button>
                    </div>
                </div>
            </div>
        </div>

        <div class="wrapper">
            <div id="myModal" class="modal" tabindex="-1" role="dialog">
                <div class="modal-dialog" role="document">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h5 id="myModalLabel" class="modal-title"></h5>
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </div>
                        <div class="modal-body">
                            <p id="myModalText"></p>
                        </div>
                        <div class="modal-footer">
                            <button id="btnYes" type="button" class="btn btn-primary">Sim</button>
                            <button id="btnNo" type="button" class="btn btn-secondary" data-dismiss="modal">Não</button>
                        </div>
                    </div>
                </div>
            </div>
            <div class="content-wrapper">
                <section class="content">
                    <div class="content-header">
                        <div class="container-fluid">
                            <div class="row mb-2">
                                <div class="col-sm-6 flex">
                                </div>
                                <div class="col-sm-6">
                                </div><!-- /.col -->
                            </div><!-- /.row -->
                        </div>
                        <div class="row justify-content-center mt-0">
                            <div class="col-10 text-center p-0 mt-3 mb-2">
                                <div class="card px-0 pt-4 pb-0 mt-3 mb-3">
                                    <div class="card-header text-center flex" style="border: none!important;box-shadow:none!important;">
                                        <h2> Cadastro de Alteração do Status de Pedido
                                            <button type="button" class="btn btn-info btn-sm ml-2" title="Tutorial" style="color: white;" id="tutorial">
                                                <i class="fas fa-question-circle"></i>
                                            </button>
                                        </h2>
                                    </div>

                                    <div class="row">
                                        <div class="col-md-12 mx-0 mb-3">
                                            <form id="msform">
                                                <ul id="progressbar">
                                                    <li class="active" id="account"><strong>Geral</strong></li>
                                                </ul>
                                                <p>Preencha os dados e clique em gravar para realizar o cadastro ou alteração do Status.</p>
                                                <fieldset class="row justify-content-center mt-5">

                                                    <div class="row col-10 text-left" id="campostour">
                                                        <div class="col-12 col-md-3">
                                                            <label data-error="wrong" class="labelGeral" data-success="right" for="txtID">ID: </label>
                                                            <div class="input-group">
                                                                <input type="text" class="input-default focus form-control validate" disabled readonly aria-describedby="cepError" id="txtID" name="txtID" class="form-control" placeholder="Campo preenchido automaticamente" title="Campo preenchido automaticamente">
                                                            </div>
                                                        </div>
                                                        <div class="col-12 col-md-4 text-left pl-0">
                                                            <label data-error="wrong" data-success="right" for="rgOperacao">Operação: *</label>
                                                            <select style="width:100%;" id="rgOperacao" class="form-group input-default">
                                                                <option value="" selected disabled>Selecione uma operação</option>
                                                                <option value="opFinanceiro">Liber. Financeiro</option>
                                                                <option value="opExpedicao">Expedição</option>
                                                                <option value="opExpTotal">Expedição Total</option>
                                                                <option value="opFaturamento">Faturamento</option>
                                                                <option value="opComercial">Liber. Comercial</option>
                                                                <option value="opReserva">Reserva</option>
                                                                <option value="opProducao">Produção</option>
                                                                <option value="opProducaoPend">Produção Pendente</option>
                                                                <option value="opPedido">Entrega Pedido</option>
                                                                <option value="opDevolucao">Fat. Devolução</option>
                                                                <option value="opFatParcial">Faturamento Parcial</option>
                                                                <option value="opEmbarque">Embarque N.F.</option>
                                                                <option value="opCancelado">Cancelado</option>
                                                                <option value="opCancFaturado">Cancelado Faturado</option>
                                                                <option value="opCancParcial">Cancelamento Parcial</option>
                                                                <option value="opFatImp">Cancelamento de N.F.</option>
                                                                <option value="opExpConf">Exp. Conf. Nota</option>
                                                                <option value="opFechaFila">Fecha Fila</option>
                                                                <option value="opConsumos">Consumos</option>
                                                                <option value="opConferencia">Conferencia</option>
                                                                <option value="opEmail">Email</option>
                                                                <option value="opLoteTinturaria">Lote Tinturaria</option>
                                                                <option value="opComFinBloq">Liber. Comerc. / Bloq. Finan</option>
                                                                <option value="opBaixaTinturaria">Baixa Tinturaria</option>
                                                                <option value="opBaixaRolo">Baixa por Rolo</option>
                                                                <option value="opFinalizaMovOF">Finaliza Mov. OF</option>
                                                                <option value="opImpEtiqueta">Impressão Etiqueta</option>
                                                                <option value="opImpMinuta">Impressão Minuta</option>
                                                                <option value="opTransDepPed">Trans. Dep. Pedido</option>
                                                                <option value="opIncPedido">Inclusão Pedido</option>
                                                                <option value="opLiberacaoExpedicao">Liberação Expedição</option>
                                                            </select>
                                                        </div>
                                                        <div class="col-12 col-md-4 pl-0 text-left">
                                                            <label data-error="wrong" class="labelGeral" data-success="right" for="txtStatus">Status: *</label>
                                                            <div class="input-group">
                                                                <input type="text" class="input-default focus form-control validate" required aria-describedby="statusError" id="txtStatus" name="txtStatus" class="form-control" placeholder="Status">
                                                                <div class="input-group-append">
                                                                    <button class="btn bg-danger" id="btnStatus" name="btnStatus" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                                                    <button class="btn bg-danger" id="btnLimpaStatus" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="row col-10 text-left" id="campostourfinanceiro">
                                                        <div class="col-12 col-md-4">
                                                            <label data-error="wrong" class="labelGeral" data-success="right" for="txtTipo">Tipo:</label>
                                                            <div class="input-group">
                                                                <input type="text" class="input-default focus form-control validate" aria-describedby="tipoError" id="txtTipo" name="txtTipo" class="form-control" placeholder="Tipo">
                                                                <div class="input-group-append">
                                                                    <button class="btn bg-danger" id="btnTipo" name="btnTipo" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                                                    <button class="btn bg-danger" id="btnLimpaTipo" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="col-lg-4 col-md-4 col-12 mt-3 pl-0 divFinanceiro d-none">
                                                            <div class="form" id="financeiro">
                                                                <fieldset class="form border-Field">
                                                                    <legend class="textoBorda mb-0 pb-0">Financeiro</legend>
                                                                    <div class="form-row ml-auto">
                                                                        <div class="col-4 pl-0">
                                                                            <div class="icheck-primary form-group form-check col-12">
                                                                                <input type="radio" id="rdTodos" name="rdFinanceiro" class='rdFinanceiro' checked value="TODOS">
                                                                                <label class="labelCheck" for="rdTodos">Todos</label>
                                                                            </div>
                                                                        </div>
                                                                        <div class="col-4 pl-0">
                                                                            <div class="icheck-primary form-group form-check col-12">
                                                                                <input type="radio" id="rdLiberar" name="rdFinanceiro" class='rdFinanceiro' value="LIBERADO">
                                                                                <label class="labelCheck" for="rdLiberar">Liberar</label>
                                                                            </div>
                                                                        </div>
                                                                        <div class="col-4 pl-0">
                                                                            <div class="icheck-primary form-group form-check col-12">
                                                                                <input type="radio" id="rdBloquear" name="rdFinanceiro" class='rdFinanceiro' value="BLOQUEADO">
                                                                                <label class="labelCheck" for="rdBloquear">Bloquear</label>
                                                                            </div>
                                                                        </div>
                                                                    </div>
                                                                </fieldset>
                                                            </div>
                                                        </div>
                                                        <div class="col-12 col-md-2 pl-0 divDias d-none">
                                                            <label data-error="wrong" class="labelGeral" data-success="right" for="txtDias">Dias: </label>
                                                            <div class="input-group">
                                                                <input type="text" class="input-default focus form-control validate" aria-describedby="cepError" id="txtDias" name="txtDias" class="form-control" placeholder="Dias">
                                                            </div>
                                                        </div>
                                                        <div class="col-12 col-md-2 mt-3 pl-0 divDias d-none">
                                                            <div class="form" id="opcoes">
                                                                <fieldset class="form border-Field">
                                                                    <legend class="textoBorda mb-0 pb-0">Opções</legend>
                                                                    <div class="m-1 icheck-primary">
                                                                        <input type="checkbox" id="cbDiasUteis" name="cbOpcoes" checked value="S">
                                                                        <label for="cbDiasUteis">Dias Uteis</label>
                                                                    </div>
                                                                </fieldset>
                                                            </div>
                                                        </div>
                                                    </div>

                                                </fieldset>
                                                <input type="button" name="gravar" id="gravar" class="btn-sisp action-button" value="Gravar" />
                                                <button type="button" id="btnVoltar" style="font-size:15px;" class="btn-sisp action-button-previous" data-dismiss="modal">Voltar</button>
                                            </form>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </section>
            </div>
        </div>
    </div>

    <?php
    include_once('../../../modais.php');
    ?>

    <!-- Control Sidebar -->
    <aside class="control-sidebar control-sidebar-dark">
        <!-- Control sidebar content goes here -->
    </aside>
    <!-- /.control-sidebar -->
    </div>

    <!-- jQuery -->
    <script src="../plugins/jquery/jquery.min.js?versao=3.248.22.2"></script>
    <script src="../plugins/jquery-ui/jquery-ui.min.js?versao=3.248.22.2"></script>
    <script type="text/javascript" src="../dist/js/jquery.dataTables.js?versao=3.248.22.2"></script>
    <script type="text/javascript" src="../dist/js/dataTables.bootstrap4.min.js?versao=3.248.22.2"></script>
    <script src="../plugins/sweetalert2/sweetalert2.min.js?versao=3.248.22.2"></script>
    <script src="../plugins/toastr/toastr.min.js?versao=3.248.22.2"></script>
    <script>
        $.widget.bridge('uibutton', $.ui.button);
    </script>
    <script src="../plugins/bootstrap/js/bootstrap.bundle.min.js?versao=3.248.22.2"></script>
    <script src="../dist/js/adminlte.min.js?versao=3.248.22.2"></script>
    <script src="../dist/js/requisicoes.js?versao=3.248.22.2"></script>
    <script src="../dist/js/cliente/entidade.js?versao=3.248.22.2"></script>
    <script src="../dist/js/loadingoverlay.min.js?versao=3.248.22.2"></script>
    <script src="../dist/js/valida_cpf_cnpj.js?versao=3.248.22.2"></script>
    <script src="../plugins/jquery-validation/jquery.validate.min.js?versao=3.248.22.2"></script>
    <script src="../dist/js/sisplan.js?versao=3.248.22.2"></script>
    <script src="../utils/funcoes.js?versao=3.248.22.2"></script>
    <script src="../utils/cookies.js?versao=3.248.22.2"></script>
    <script src="../dist/js/jquery.maskMoney.min.js?versao=3.248.22.2"></script>
    <script src="../dist/js/driver.min.js?versao=3.248.22.2"></script>
    <script src="../dist/js/dataTables.keyTable2.js?versao=3.248.22.2"></script>
    <script type="text/javascript" src="../config.js?versao=3.248.22.2"></script>
    <script src="../plugins/select2/js/select2.full.min.js?versao=3.248.22.2"></script>
    <script>
        $(document).ready(async function() {
            if (getCookie('usuario') == "") {
                window.location.href = `${BASE_URI}/login`;
                return;
            }

            let usuario = getCookie('usuario');
            let empresa = getCookie('empresa');

            ipInterno = IP_INTERNO;
            ipExterno = IP_EXTERNO;
            basicAuth = BASIC_AUTH;

            const temAcesso = await temAcessoTela('STATUSPED');
            if (!temAcesso.resultado) {
                toastrAcesso(temAcesso, BASE_URI);
                return;
            }

            const permissaoUsuarioLogado = await permissaoAcessos("STATUSPED");

            if (permissaoUsuarioLogado.INCLUI == 'N') {
                await criaMensagemErro("Sem permissão para incluir!", () => {
                    window.location.href = `${BASE_URI}/statusped`
                });
                return;
            }

            const queryString = window.location.href;
            const parametros = queryString.split("/");
            const statusped = parametros[parametros.length - 1];

            $(window).on("beforeunload", function(e) {
                // e.preventDefault();
                e.stopPropagation();
                deletaRegistro("STATUSPED", getCookie("usuario"), statusped);
                return undefined;
            });

            sArquivo = `${BASE_URI}/pages/statusped/cadastro_statusped/statusped.js?versao=3.248.22.2`;
            insereJavaScriptPagina(sArquivo);

            const nomeTela = ('<?php echo basename(__FILE__) ?>').replace('.php', '');
            habilitaCamposObrigatoriosTela(nomeTela);
        });
    </script>
</body>

</html>