<?php include_once('../../../config.php') ?>

<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>Sisplan Web | Cadastro de UF</title>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="../dist/css/adminlte.min.css?versao=3.248.22.2">
    <link rel="stylesheet" href="../plugins/fontawesome-free/css/all.min.css?versao=3.248.22.2">
    <link href='https://fonts.googleapis.com/css?family=Roboto:400,300,500,600,700,400italic' rel='stylesheet' type='text/css'>
    <link rel="stylesheet" type="text/css" href="../dist/css/dataTables.bootstrap4.min.css?versao=3.248.22.2" />
    <link href='../dist/css/bootstrap.min.css?versao=3.248.22.2'>
    <link rel="stylesheet" href="../dist/css/custom.css?versao=3.248.22.2">
    <link rel="stylesheet" href="../dist/css/sisplan.css?versao=3.248.22.2">
    <link rel="stylesheet" type="text/css" href="../plugins/datatables-keytable/css/keyTable.bootstrap4.min.css?versao=3.248.22.2">
    <link rel="stylesheet" type="text/css" href="../dist/css/responsive.bootstrap.min.css?versao=3.248.22.2">
    <link rel="shortcut icon" href="../favicon.ico">
    <link rel="stylesheet" href="../dist/css/cadastro.css?versao=3.248.22.2">

    <!-- Toastr -->
    <link rel="stylesheet" href="../plugins/toastr/toastr.min.css?versao=3.248.22.2">
    <link rel="stylesheet" type="text/css" href="../dist/css/driver.min.css?versao=3.248.22.2" />
    <link rel="stylesheet" href="../dist/css/jquery-ui.css?versao=3.248.22.2">
    <!-- Google Font: Source Sans Pro -->
    <link href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700" rel="stylesheet">
    <style>
        #progressbar li {
            list-style-type: none;
            font-size: 12px;
            width: 100%;
            float: left;
            position: relative
        }

        .labelGeral {
            margin-top: 7px;
            margin-bottom: 3px;
        }

        .labelCheck {
            font-size: 120%;
            /* border-bottom: outset 2px;
            border-left: outset 2px; */
            padding: 0.2%;
            margin-left: 1%;
        }

        .configCheck {
            -ms-transform: scale(1.5);
            -moz-transform: scale(1.5);
            -webkit-transform: scale(1.5);
            -o-transform: scale(1.5);
            transform: scale(1.5);
            padding: 10px;
        }

        .radioTipo {
            font-size: 120%;
        }

        .bTipo {
            position: absolute;
            margin-bottom: 50%;
            font-size: 120%;
            font-weight: bolder;
        }

        .pTipo {
            margin-top: 2%;
            margin-left: -1%;
            margin-bottom: 0%;
        }

        .pCartao {
            margin-left: -1%;
            margin-bottom: 0%;
            margin-top: 2%;
        }

        .valMin {
            margin-top: 2%;
        }

        .frete {
            margin-top: 2%;
            margin-left: 0.1%;
        }

        #contas-wrap {
            margin-top: 0%;
        }

        #labelcontas {
            margin-top: 2%;
        }

        .radioTop {
            margin-left: 2%;
            margin-top: 2%;
            padding-left: 1%;
            padding-top: 1%;
            padding-right: 1%;
            padding-bottom: 0%;
        }

        .labelFonte {
            font-size: 100%;
            margin-top: 20%;
        }

        .radiosStyle {
            margin-top: 0%;
            border: solid #e0e4e6;
            border-radius: 4px;
            border-width: 2px;
            margin-left: 0%;
        }

        .checkboxMoeda {
            border: solid #e0e4e6;
            border-radius: 4px;
            border-width: 2px;
            padding-top: 3.9%;
            padding-bottom: 2.3%;
        }

        .checkboxTipo {
            margin-left: 0.1%;
            border: solid #e0e4e6;
            border-radius: 4px;
            border-width: 2px;
            padding-top: 1%;
            padding-bottom: 0%;
        }

        .labelTipo {
            margin-bottom: 3px;
        }

        #txtTipoTabela {
            size: 100%;
        }


        .labelTabPreco {
            margin-top: 2.5%;
            margin-left: 5%;
        }

        .bordaTab {
            border: solid #e0e4e6;
            border-radius: 4px;
            border-width: 2px;
            margin-top: 9.6%;
        }

        .configTabPreco {
            -ms-transform: scale(1.5);
            -moz-transform: scale(1.5);
            -webkit-transform: scale(1.5);
            -o-transform: scale(1.5);
            transform: scale(1.5);
        }

        .card {
            box-shadow: none !important;
            border-radius: 0 !important;
            margin-bottom: 0 !important;
        }

        .card-header {
            box-shadow: 0px 1px rgb(0 0 0 / 20%) !important;
        }

        .card.card-header {
            border-bottom: 1px dashed #ddd;
            box-shadow: none !important;
        }

        .card-body {
            padding-left: 1.25rem !important;
            padding-top: 0px;
            padding-bottom: 0px;
            padding-right: 1.25rem !important;
        }

        .fa-angle-right,
        .fa-angle-down {
            color: #343a40;
        }

        .header-content-page .title-page,
        .title-content-page .title,
        .title-page {
            font-size: 20px;
            line-height: normal;
            font-weight: 500;
            color: var(--font-color);
            margin: 0;
            font-family: Roboto, Arial, sans-serif;
        }
    </style>
</head>

<body class="hold-transition sidebar-mini layout-fixed">
    <div class="wrapper">
        <?php
        ;
        ?>
        <div id="myModal" class="modal" tabindex="-1" role="dialog">
            <div class="modal-dialog" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 id="myModalLabel" class="modal-title"></h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <p id="myModalText"></p>
                    </div>
                    <div class="modal-footer">
                        <button id="btnYes" type="button" class="btn btn-primary">Sim</button>
                        <button id="btnNo" type="button" class="btn btn-secondary" data-dismiss="modal">Não</button>
                    </div>
                </div>
            </div>
        </div>
        <div class="content-wrapper">
            <div class="content-header">
                <div class="container-fluid">
                    <div class="row mb-2">
                        <div class="col-sm-6 flex">
                            <h1 class="m-0 text-dark"></h1>
                        </div>
                        <div class="col-sm-6">
                            <!-- <ol class="breadcrumb float-sm-right">
                                
                                <li class="breadcrumb-item"><a href="../uf">Acesso UF</a></li>
                                <li class="breadcrumb-item active">Cadastro UF</li>
                            </ol> -->
                        </div><!-- /.col -->
                    </div><!-- /.row -->
                </div>
                <div class="row justify-content-center mt-0">
                    <div class="col-10 text-center p-0 mt-3 mb-2">
                        <div class="card px-0 pt-4 pb-0 mt-3 mb-3">
                            <div class="card-header text-center flex" style="border: none!important;box-shadow:none!important;">
                                <h2> Cadastro UF
                                    <button type="button" class="btn btn-info btn-sm ml-2" title="Tutorial" style="color: white;" id="tutorial">
                                        <i class="fas fa-question-circle"></i>
                                    </button>
                                </h2>
                            </div>

                            <div class="row">
                                <div class="col-md-12 mx-0 mb-3">
                                    <form id="msform">
                                        <ul id="progressbar">
                                            <li class="active" id="account"><strong>Geral</strong></li>
                                        </ul>
                                        <p>Preencha os dados e clique em gravar para realizar o cadastro ou alteração da UF.</p>
                                        <fieldset class="row justify-content-center mt-5">

                                            <div class="col-10 text-left" id="telatour">
                                                <div class="row d-flex justify-content-center">


                                                    <div class="col-lg-4  col-12 form-group">
                                                        <label class="labelCheck">
                                                            <div class="icheck-primary"> <input type="checkbox" id="cbGeraFcpOpInterna" name="cbGeraFcpOpInterna"><label for="cbGeraFcpOpInterna"> Gerar valor FCP para operações internas</label></div>
                                                        </label>
                                                    </div>

                                                    <div class="col-lg-4  col-12 form-group">
                                                        <label class="labelCheck">
                                                            <div class="icheck-primary"> <input type="checkbox" id="cbCalculaDifalBaseDupla" name="cbCalculaDifalBaseDupla"><label for="cbCalculaDifalBaseDupla"> Calcula DIFAL com base dupla</label></div>
                                                        </label>
                                                    </div>

                                                    <div class="col-lg-4  col-12 form-group">
                                                    </div>

                                                    <div class="col-lg-2  col-12 form-group">
                                                        <label data-error="wrong" class="labelGeral" data-success="right" for="txtCodigo">UF *</label>
                                                        <div class="input-group">
                                                            <input type="text" class="input-default focus form-control validate" id="txtCodigo" name="txtCodigo" class="form-control" placeholder="UF">
                                                        </div>
                                                    </div>
                                                    <div class="col-lg-8  col-12 form-group">
                                                        <label data-error="wrong" class="labelGeral" data-success="right" for="txtDescricao">Descrição *</label>
                                                        <div class="input-group">
                                                            <input type="text" class="input-default focus form-control validate" id="txtDescricao" name="txtDescricao" class="form-control" placeholder="Descrição">
                                                        </div>
                                                    </div>
                                                    <div class="col-lg-2  col-12 form-group">
                                                        <label data-error="wrong" class="labelGeral" data-success="right" for="txtCoduf">Código UF *</label>
                                                        <div class="input-group">
                                                            <input type="text" class="input-default focus form-control validate" id="txtCoduf" name="txtCoduf" class="form-control" placeholder="Código UF">
                                                        </div>
                                                    </div>
                                                    <div class="col-lg-4  col-12 form-group">
                                                        <label data-error="wrong" class="labelGeral" data-success="right" for="txtAliquota">Alíquota</label>
                                                        <div class="input-group">
                                                            <input type="text" class="input-default focus form-control validate" id="txtAliquota" name="txtAliquota" class="form-control" placeholder="Alíquota">
                                                        </div>
                                                    </div>
                                                    <div class="col-lg-4  col-12 form-group">
                                                        <label data-error="wrong" class="labelGeral" data-success="right" for="txtAliquotaInterna">Alíquota Interna</label>
                                                        <div class="input-group">
                                                            <input type="text" class="input-default focus form-control validate" id="txtAliquotaInterna" name="txtAliquotaInterna" class="form-control" placeholder="Alíquota Interna">
                                                        </div>
                                                    </div>
                                                    <div class="col-lg-4  col-12 form-group">
                                                        <label data-error="wrong" class="labelGeral" data-success="right" for="txtCombate">% Combate à Pobreza</label>
                                                        <div class="input-group">
                                                            <input type="text" class="input-default focus form-control validate" id="txtCombate" name="txtCombate" class="form-control" placeholder="Fundo de combate à pobreza">
                                                        </div>
                                                    </div>
                                                    <div class="col-lg-12  col-12 form-group" id="produtotuto">
                                                        <label data-error="wrong" class="labelGeral" data-success="right" for="txtPais">País *</label>
                                                        <div class="input-group">
                                                            <input type="text" class="input-default focus form-control" id="txtPais" name="txtPais" class="form-control" placeholder="País">
                                                            <div class="input-group-append">
                                                                <button class="btn bg-danger" id="btnPais" name="btnPais" data-button="absolute" type="button">
                                                                    <i class="m-0 p-0 fas fa-search"></i>
                                                                </button>
                                                                <button class="btn bg-danger" id="btnAPais" type="button">
                                                                    <i class="m-0 p-0 fas fa-trash"></i>
                                                                </button>
                                                            </div>
                                                        </div>
                                                    </div>

                                                    <div class="card card-header col-12" role="tab" id="gnre">
                                                        <a style="width:100%;" data-toggle="collapse" data-parent="#multiCollapseExample1" href="#multiCollapseExample1" aria-expanded="true" aria-controls="collapseOne1">
                                                            <div class="row">
                                                                <div style="max-width:20px;margin-top:auto; margin-bottom: auto" class="col-1">
                                                                    <i class="fas fa-angle-right"></i>
                                                                </div>
                                                                <div class="col-11">
                                                                    <h4 class="title-page">
                                                                        Configuração GNRE
                                                                    </h4>
                                                                </div>
                                                            </div>
                                                        </a>
                                                    </div>
                                                    <div class="collapse" id="multiCollapseExample1">
                                                        <div class="card card-body">
                                                            <div class="tab-pane fade show active" role="tabpanel" aria-labelledby="gnre-tab">
                                                                <div class="pt-2 form-row">
                                                                    <div class="col-lg-4  col-12 form-group">
                                                                        <label data-error="wrong" class="labelGeral" data-success="right" for="txtCodDifal">Cód. Receita Difal</label>
                                                                        <div class="input-group">
                                                                            <input type="text" maxlength="6" class="input-default focus form-control validate" id="txtCodDifal" name="txtCodDifal" class="form-control" placeholder="Cód. Receita Difal">
                                                                        </div>
                                                                    </div>
                                                                    <div class="col-lg-4  col-12 form-group">
                                                                        <label data-error="wrong" class="labelGeral" data-success="right" for="txtDetalheDifal">Detalhe Difal</label>
                                                                        <div class="input-group">
                                                                            <input type="text" maxlength="2" class="input-default focus form-control validate" id="txtDetalheDifal" name="txtDetalheDifal" class="form-control" placeholder="Detalhe Difal">
                                                                        </div>
                                                                    </div>
                                                                    <div class="col-lg-4  col-12 form-group">
                                                                        <label data-error="wrong" class="labelGeral" data-success="right" for="txtProdutoDifal">Produto Difal</label>
                                                                        <div class="input-group">
                                                                            <input type="text" maxlength="2" class="input-default focus form-control validate" id="txtProdutoDifal" name="txtProdutoDifal" class="form-control" placeholder="Produto Difal">
                                                                        </div>
                                                                    </div>
                                                                    <div class="col-lg-4  col-12 form-group">
                                                                        <label data-error="wrong" class="labelGeral" data-success="right" for="txtCodPobreza">Cód. Receita Pobreza</label>
                                                                        <div class="input-group">
                                                                            <input type="text" maxlength="6" class="input-default focus form-control validate" id="txtCodPobreza" name="txtCodPobreza" class="form-control" placeholder="Cód. Receita Pobreza">
                                                                        </div>
                                                                    </div>
                                                                    <div class="col-lg-4  col-12 form-group">
                                                                        <label data-error="wrong" class="labelGeral" data-success="right" for="txtDetalhePobreza">Detalhe Pobreza</label>
                                                                        <div class="input-group">
                                                                            <input type="text" maxlength="2" class="input-default focus form-control validate" id="txtDetalhePobreza" name="txtDetalhePobreza" class="form-control" placeholder="Detalhe Pobreza">
                                                                        </div>
                                                                    </div>
                                                                    <div class="col-lg-4  col-12 form-group">
                                                                        <label data-error="wrong" class="labelGeral" data-success="right" for="txtProdutoPobreza">Produto Pobreza</label>
                                                                        <div class="input-group">
                                                                            <input type="text" maxlength="2" class="input-default focus form-control validate" id="txtProdutoPobreza" name="txtProdutoPobreza" class="form-control" placeholder="Produto Pobreza">
                                                                        </div>
                                                                    </div>
                                                                    <div class="col-lg-4  col-12 form-group">
                                                                        <label data-error="wrong" class="labelGeral" data-success="right" for="txtCodSt">Cód. Receita ST</label>
                                                                        <div class="input-group">
                                                                            <input type="text" maxlength="6" class="input-default focus form-control validate" id="txtCodSt" name="txtCodSt" class="form-control" placeholder="Cód. Receita ST">
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </fieldset>
                                        <input type="button" name="btnGravar" id="btnGravar" class="btn-sisp action-button" value="Gravar" />
                                        <button type="button" id="btnVoltar" style="font-size:15px;" class="btn-sisp action-button-previous" data-dismiss="modal">Voltar</button>
                                    </form>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            </section>
        </div>
    </div>

    <?php
    include_once('../../../modais.php');
    ?>

    <aside class="control-sidebar control-sidebar-dark">
    </aside>
    </div>
    <script type="text/javascript" src="../config.js?versao=3.248.22.2"></script>
    <script type="text/javascript" src="../plugins/jquery/jquery.min.js?versao=3.248.22.2"></script>
    <script type="text/javascript" src="../plugins/jquery-ui/jquery-ui.min.js?versao=3.248.22.2"></script>
    <script type="text/javascript" src="../dist/js/jquery.dataTables.js?versao=3.248.22.2"></script>
    <script type="text/javascript" src="../dist/js/dataTables.bootstrap4.min.js?versao=3.248.22.2"></script>
    <script type="text/javascript" src="../plugins/sweetalert2/sweetalert2.min.js?versao=3.248.22.2"></script>
    <script type="text/javascript" src="../plugins/toastr/toastr.min.js?versao=3.248.22.2"></script>
    <script>
        $.widget.bridge('uibutton', $.ui.button);
    </script>
    <script type="text/javascript" src="../plugins/bootstrap/js/bootstrap.bundle.min.js?versao=3.248.22.2"></script>
    <script type="text/javascript" src="../dist/js/adminlte.min.js?versao=3.248.22.2"></script>
    <script type="text/javascript" src="../dist/js/requisicoes.js?versao=3.248.22.2"></script>
    <script type="text/javascript" src="../dist/js/cliente/entidade.js?versao=3.248.22.2"></script>
    <script type="text/javascript" src="../dist/js/loadingoverlay.min.js?versao=3.248.22.2"></script>
    <script type="text/javascript" src="../dist/js/valida_cpf_cnpj.js?versao=3.248.22.2"></script>
    <script type="text/javascript" src="../plugins/jquery-validation/jquery.validate.min.js?versao=3.248.22.2"></script>
    <script type="text/javascript" src="../dist/js/sisplan.js?versao=3.248.22.2"></script>
    <script type="text/javascript" src="../utils/funcoes.js?versao=3.248.22.2"></script>
    <script type="text/javascript" src="../dist/js/driver.min.js?versao=3.248.22.2"></script>
    <script src="../dist/js/jquery.maskMoney.min.js?versao=3.248.22.2"></script>
    <script type="text/javascript" src="../utils/cookies.js?versao=3.248.22.2"></script>
    <script type="text/javascript" src="../dist/js/jquery.mask.min.js?versao=3.248.22.2"></script>
    <script type="text/javascript" src="../dist/js/dataTables.keyTable2.js?versao=3.248.22.2"></script>
    <script>
        $(document).ready(async function() {
            if (getCookie('usuario') == "") {
                window.location.href = `${BASE_URI}/login`;
                return;
            }

            let usuario = getCookie('usuario');
            let empresa = getCookie('empresa');

            ipInterno = IP_INTERNO;
            ipExterno = IP_EXTERNO;
            basicAuth = BASIC_AUTH;

            const temAcesso = await temAcessoTela('UF');
            if (!temAcesso.resultado) {
                toastrAcesso(temAcesso, BASE_URI);
                return;
            }

            const permissaoUsuarioLogado = await permissaoAcessos("UF");

            if (permissaoUsuarioLogado.INCLUI == 'N') {
                await criaMensagemErro("Sem permissão para incluir!", () => {
                    window.location.href = `${BASE_URI}/uf`
                });
                return;
            }

            sArquivo = `${BASE_URI}/pages/uf/cadastro_uf/uf.js?versao=3.248.22.2`;
            insereJavaScriptPagina(sArquivo);

            const nomeTela = ('<?php echo basename(__FILE__) ?>').replace('.php', '');
            habilitaCamposObrigatoriosTela(nomeTela);
        });
    </script>

</body>

</html>